# recoverargs.pl
#
# usage: perl -w recoverargs.pl "foo=bar bing baz='asdf asdfasd'"
#
# ...will strip out any non-tuples, returning "foo=bar baz='asdf asdfasd'"
#
#
#   Copyright (C) 2001  Steve Traugott, http://www.stevegt.com
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


my $makeargs=shift;

my @makeargs;
while($makeargs)
{
  $_=$makeargs;

  # quoted multipart RHS
  /^\s*(\w+=\'.*?\')(.*)/ && do 
  {
    push @makeargs, $1;
    $makeargs=$2;
    next;
  };

  # unquoted singlepart RHS
  /^\s*(\w+=\S+)(.*)/ && do 
  {
    push @makeargs, $1;
    $makeargs=$2;
    next;
  };

  # all spaces
  /^\s*$/ && do 
  {
    $makeargs="";
    next;
  };

  # throw away non-tuples
  /^\s*\S+\s+(.*)/ && do 
  {
    $makeargs=$1;
    next;
  };

}

print "@makeargs";

