#!/usr/bin/perl -w
use strict;
#   Copyright (C) 2001  Steve Traugott, http://www.stevegt.com
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

my $set;

foreach $set (split (/:/, shift || "")) {
  (my $disk, my $size) = split (/,/, $set);

  my @lsfs = `lsfs -c $disk 2>/dev/null`;
  if ($?>>8) {
    warn "** $disk not found - skipping...";
    next;
  }
  @lsfs = split(/:/, $lsfs[1]);

  $size =~ /(\d+)(.*)/;
  $size = $1; 
  my $unit=$2;
  my $multiplier=0;

  for ($unit) {
    /k/i && do {
      # 2 blocks
      $multiplier = 2;
      last;
    };

    /m/i && do {
      # 1024 * 2 blocks
      $multiplier = 2048;
      last;
    };

    /g/i && do {
      # 1024 * 1024 * 2 blocks
      $multiplier = 2097152;
      last;
    };

    /b/i && do {
      $multiplier = 1;
      last;
    };
  }

  unless ($multiplier) { 
    warn "** unknown unit: $disk $size $unit - skipping...";
    next;
  }

  my $blocks = $size * $multiplier;

  if ($blocks > $lsfs[5]) {
    print "Increasing disk space on $disk to $blocks blocks\n";
    system ("/usr/sbin/chfs -a size=$blocks $disk");
    die "oh shit - there was an error" if $?>>8;
  }
}


	

