$SERVICES = {
	'DAServer' => { # DAServer 987/tcp # SQL distributed access
		'comment' => 'SQL distributed access',
		'port' => '987',
		'protocol' => 'tcp',
		'name' => 'DAServer'
	},
	'MQSprod' => { # MQSprod 1414/tcp # MQseries channel listener
		'comment' => 'MQseries channel listener',
		'port' => '1414',
		'protocol' => 'tcp',
		'name' => 'MQSprod'
	},
	'MQSqa' => { # MQSqa 1415/tcp # MQseries channel listener
		'comment' => 'MQseries channel listener',
		'port' => '1415',
		'protocol' => 'tcp',
		'name' => 'MQSqa'
	},
	'NeWS' => { # NeWS 144/tcp news # Window System
		'comment' => 'Window System',
		'port' => '144',
		'aliases' => [
				'news'
		],
		'protocol' => 'tcp',
		'name' => 'NeWS'
	},
	'SNAplus' => { # SNAplus 5708/udp # SNA logical network A
		'comment' => 'SNA logical network A',
		'port' => '5708',
		'protocol' => 'udp',
		'name' => 'SNAplus'
	},
	'SNAplus' => { # SNAplus 5708/udp # SNAplus
		'comment' => 'SNAplus',
		'port' => '5708',
		'protocol' => 'udp',
		'name' => 'SNAplus'
	},
	'acsd' => { # acsd 13702/tcp acsd
		'comment' => 'acsd',
		'port' => '13702',
		'aliases' => [
				'acsd'
		],
		'protocol' => 'tcp',
		'name' => 'acsd'
	},
	'actcp' => { # actcp 31766/tcp # ACT Call Processing Server
		'comment' => 'ACT Call Processing Server',
		'port' => '31766',
		'protocol' => 'tcp',
		'name' => 'actcp'
	},
	'auth' => { # auth 113/tcp authentication # Authentication Service
		'comment' => 'Authentication Service',
		'port' => '113',
		'aliases' => [
				'authentication',
				'ident',
		],
		'protocol' => 'tcp',
		'name' => 'auth'
	},
	'bftp' => { # bftp 152/tcp # Background File Transfer Protocol
		'comment' => 'Background File Transfer Protocol',
		'port' => '152',
		'protocol' => 'tcp',
		'name' => 'bftp'
	},
	'bgp' => { # bgp 179/tcp # Border Gateway Protocol
		'comment' => 'Border Gateway Protocol',
		'port' => '179',
		'protocol' => 'tcp',
		'name' => 'bgp'
	},
	'biff' => { # biff 512/udp comsat # mail notification
		'comment' => 'mail notification',
		'port' => '512',
		'aliases' => [
				'comsat'
		],
		'protocol' => 'udp',
		'name' => 'biff'
	},
	'bootpc' => { # bootpc 68/udp # BOOTP/DHCP client
		'comment' => 'BOOTP/DHCP client',
		'port' => '68',
		'protocol' => 'udp',
		'name' => 'bootpc'
	},
	'bootps' => { # bootps 67/udp # BOOTP/DHCP server
		'comment' => 'BOOTP/DHCP server',
		'port' => '67',
		'protocol' => 'udp',
		'name' => 'bootps'
	},
	'bpcd' => { # bpcd 13782/tcp bpcd # Netbackup
		'comment' => 'Netbackup',
		'port' => '13782',
		'protocol' => 'tcp',
		'name' => 'bpcd'
	},
	'bpdbm' => { # bpdbm 13721/tcp bpdbm
		'comment' => 'bpdbm',
		'port' => '13721',
		'protocol' => 'tcp',
		'name' => 'bpdbm'
	},
	'bpjava-msvc' => { # bpjava-msvc 13722/tcp bpjava-msvc # Netbackup
		'comment' => 'Netbackup',
		'port' => '13722',
		'protocol' => 'tcp',
		'name' => 'bpjava-msvc'
	},
	'bpjobd' => { # bpjobd 13723/tcp bpjobd # Netbackup
		'comment' => 'Netbackup',
		'port' => '13723',
		'protocol' => 'tcp',
		'name' => 'bpjobd'
	},
	'bprd' => { # bprd 13720/tcp bprd # Netbackup
		'comment' => 'Netbackup',
		'port' => '13720',
		'protocol' => 'tcp',
		'name' => 'bprd'
	},
	'cfengine' => { # cfengine 5308/tcp # cfengine
		'comment' => 'cfengine',
		'port' => '5308',
		'protocol' => 'tcp',
		'name' => 'cfengine'
	},
	'chargen_tcp' => { # chargen 19/tcp ttytst source # Character Generator
		'comment' => 'Character Generator',
		'port' => '19',
		'aliases' => [
				'ttytst',
				'source'
		],
		'protocol' => 'tcp',
		'name' => 'chargen'
	},
	'chargen_udp' => { # chargen 19/udp ttytst source
		'comment' => 'Character Generator',
		'port' => '19',
		'aliases' => [
				'ttytst',
				'source'
		],
		'protocol' => 'udp',
		'name' => 'chargen'
	},
	'clvm-cfg' => { # clvm-cfg 1476/tcp # HA LVM configuration
		'comment' => 'HA LVM configuration',
		'port' => '1476',
		'protocol' => 'tcp',
		'name' => 'clvm-cfg'
	},
	'conference' => { # conference 531/tcp chat #
		'comment' => 'conference',
		'port' => '531',
		'aliases' => [
				'chat'
		],
		'protocol' => 'tcp',
		'name' => 'conference'
	},
	'console' => { # console 10000/tcp # MC/System Environment console multiplexor
		'comment' => 'MC/System Environment console multiplexor',
		'port' => '10000',
		'protocol' => 'tcp',
		'name' => 'console'
	},
	'courier' => { # courier 530/tcp rpc #
		'comment' => 'courier',
		'port' => '530',
		'aliases' => [
				'rpc'
		],
		'protocol' => 'tcp',
		'name' => 'courier'
	},
	'csnet-ns' => { # csnet-ns 105/tcp
		'comment' => 'csnet-ns',
		'port' => '105',
		'protocol' => 'tcp',
		'name' => 'csnet-ns'
	},
	'cvc' => { # cvc 1495/tcp # Network Console
		'comment' => 'Network Console',
		'port' => '1495',
		'protocol' => 'tcp',
		'name' => 'cvc'
	},
	'cvc_hostd' => { # cvc_hostd 442/tcp # Network Console
		'comment' => 'Network Console',
		'port' => '442',
		'protocol' => 'tcp',
		'name' => 'cvc_hostd'
	},
	'cvmon' => { # cvmon 1686/udp # Clusterview cvmon-cvmap communication
		'comment' => 'Clusterview cvmon-cvmap communication',
		'port' => '1686',
		'protocol' => 'udp',
		'name' => 'cvmon'
	},
	'daytime_tcp' => { # daytime 13/tcp # daytime
		'comment' => 'daytime',
		'port' => '13',
		'protocol' => 'tcp',
		'name' => 'daytime'
	},
	'daytime_udp' => { # daytime 13/udp # daytime
		'comment' => 'daytime',
		'port' => '13',
		'protocol' => 'udp',
		'name' => 'daytime'
	},
	'desmevt' => { # desmevt 6868/tcp # DE/ Services Monitor, Event Service
		'comment' => 'DE/ Services Monitor, Event Service',
		'port' => '6868',
		'protocol' => 'tcp',
		'name' => 'desmevt'
	},
	'diagmond' => { # diagmond 1508/tcp # Diagnostic System Manager
		'comment' => 'Diagnostic System Manager',
		'port' => '1508',
		'protocol' => 'tcp',
		'name' => 'diagmond'
	},
	'discard_tcp' => { # discard 9/tcp sink null # Discard
		'comment' => 'Discard',
		'port' => '9',
		'aliases' => [
				'sink',
				'null'
		],
		'protocol' => 'tcp',
		'name' => 'discard'
	},
	'discard_udp' => { # discard 9/udp sink null
		'comment' => 'sink null',
		'port' => '9',
		'aliases' => [
				'sink',
				'null'
		],
		'protocol' => 'udp',
		'name' => 'discard'
	},
	'domain_tcp' => { # domain 53/tcp nameserver # Domain Name Service
		'comment' => 'Domain Name Service',
		'port' => '53',
		'aliases' => [
				'nameserver'
		],
		'protocol' => 'tcp',
		'name' => 'domain'
	},
	'domain_udp' => { # domain 53/udp
		'comment' => 'Domain Name Service',
		'port' => '53',
		'aliases' => [
				'nameserver'
		],
		'protocol' => 'udp',
		'name' => 'domain'
	},
	'dtspc' => { # dtspc 6112/tcp # CDE subprocess control
		'comment' => 'CDE subprocess control',
		'port' => '6112',
		'protocol' => 'tcp',
		'name' => 'dtspc'
	},
	'echo_tcp' => { # echo 7/tcp # Echo
		'comment' => 'Echo',
		'port' => '7',
		'protocol' => 'tcp',
		'name' => 'echo'
	},
	'echo_udp' => { # echo 7/udp # echo
		'comment' => 'Echo',
		'port' => '7',
		'protocol' => 'udp',
		'name' => 'echo'
	},
	'efs' => { # efs 520/tcp # Extended file name server
		'comment' => 'Extended file name server',
		'port' => '520',
		'protocol' => 'tcp',
		'name' => 'efs'
	},
	'eklogin' => { # eklogin 2105/tcp # Kerberos encrypted rlogin
		'comment' => 'Kerberos encrypted rlogin',
		'port' => '2105',
		'protocol' => 'tcp',
		'name' => 'eklogin'
	},
	'ekshell' => { # ekshell 545/tcp krcmd # Kerberos encrypted remote shell -kfall
		'comment' => 'Kerberos encrypted remote shell -kfall',
		'port' => '545',
		'aliases' => [
				'krcmd'
		],
		'protocol' => 'tcp',
		'name' => 'ekshell'
	},
	'exec' => { # exec 512/tcp # remote execution, passwd required
		'comment' => 'remote execution, passwd required',
		'port' => '512',
		'protocol' => 'tcp',
		'name' => 'exec'
	},
	'fastsrv' => { # fastsrv 19999/tcp # fastcs server
		'comment' => 'fastcs server',
		'port' => '19999',
		'protocol' => 'tcp',
		'name' => 'fastsrv'
	},
	'finger' => { # finger 79/tcp # Finger
		'comment' => 'Finger',
		'port' => '79',
		'protocol' => 'tcp',
		'name' => 'finger'
	},
	'fs' => { # fs 7100/tcp # Font server
		'comment' => 'Font server',
		'port' => '7100',
		'protocol' => 'tcp',
		'name' => 'fs'
	},
	'ftp' => { # ftp 21/tcp # File Transfer Protocol (Control)
		'comment' => 'File Transfer Protocol (Control)',
		'port' => '21',
		'protocol' => 'tcp',
		'name' => 'ftp'
	},
	'ftp-data' => { # ftp-data 20/tcp # File Transfer Protocol (Data)
		'comment' => 'File Transfer Protocol (Data)',
		'port' => '20',
		'protocol' => 'tcp',
		'name' => 'ftp-data'
	},
	'ftp-ftam' => { # ftp-ftam 8868/tcp # FTP->FTAM Gateway
		'comment' => 'FTP->FTAM Gateway',
		'port' => '8868',
		'protocol' => 'tcp',
		'name' => 'ftp-ftam'
	},
	'grmd' => { # grmd 5999/tcp # graphics resource manager
		'comment' => 'graphics resource manager',
		'port' => '5999',
		'protocol' => 'tcp',
		'name' => 'grmd'
	},
	'hacl_cfg_tcp' => { # hacl-cfg 5302/tcp # HA Cluster TCP configuration
		'comment' => 'HA Cluster TCP configuration',
		'port' => '5302',
		'protocol' => 'tcp',
		'name' => 'hacl-cfg'
	},
	'hacl_cfg_udp' => { # hacl-cfg 5302/udp # HA Cluster UDP configuration
		'comment' => 'HA Cluster UDP configuration',
		'port' => '5302',
		'protocol' => 'udp',
		'name' => 'hacl-cfg'
	},
	'hacl_dlm' => { # hacl-dlm 5408/tcp # HA Cluster distributed lock manager
		'comment' => 'HA Cluster distributed lock manager',
		'port' => '5408',
		'protocol' => 'tcp',
		'name' => 'hacl-dlm'
	},
	'hacl_gs' => { # hacl-gs 5301/tcp # HA Cluster General Services
		'comment' => 'HA Cluster General Services',
		'port' => '5301',
		'protocol' => 'tcp',
		'name' => 'hacl-gs'
	},
	'hacl_hb' => { # hacl-hb 5300/tcp # High Availability (HA) Cluster heartbeat
		'comment' => 'High Availability (HA) Cluster heartbeat',
		'port' => '5300',
		'protocol' => 'tcp',
		'name' => 'hacl-hb'
	},
	'hacl_local' => { # hacl-local 5304/tcp # HA Cluster Commands
		'comment' => 'HA Cluster Commands',
		'port' => '5304',
		'protocol' => 'tcp',
		'name' => 'hacl-local'
	},
	'hacl_probe_tcp' => { # hacl-probe 5303/tcp # HA Cluster TCP probe
		'comment' => 'HA Cluster TCP probe',
		'port' => '5303',
		'protocol' => 'tcp',
		'name' => 'hacl-probe'
	},
	'hacl_probe_udp' => { # hacl-probe 5303/udp # HA Cluster UDP probe
		'comment' => 'HA Cluster UDP probe',
		'port' => '5303',
		'protocol' => 'udp',
		'name' => 'hacl-probe'
	},
	'hacl_test' => { # hacl-test 5305/tcp # HA Cluster Test
		'comment' => 'HA Cluster Test',
		'port' => '5305',
		'protocol' => 'tcp',
		'name' => 'hacl-test'
	},
	'hcserver' => { # hcserver 5710/tcp # HP Cooperative Services
		'comment' => 'HP Cooperative Services',
		'port' => '5710',
		'protocol' => 'tcp',
		'name' => 'hcserver'
	},
	'horcm0' => { # horcm0 5000/udp # RAID Manager instance 0
		'comment' => 'RAID Manager instance 0',
		'port' => '5000',
		'protocol' => 'udp',
		'name' => 'horcm0'
	},
	'horcm1' => { # horcm1 5001/udp # RAID Manager instance 1
		'comment' => 'RAID Manager instance 1',
		'port' => '5001',
		'protocol' => 'udp',
		'name' => 'horcm1'
	},
	'hostnames' => { # hostnames 101/tcp hostname # NIC Host Name Server
		'comment' => 'NIC Host Name Server',
		'port' => '101',
		'aliases' => [
				'hostname'
		],
		'protocol' => 'tcp',
		'name' => 'hostnames'
	},
	'hpoms-ci-lstn' => { # hpoms-ci-lstn 5403/tcp # SAP spooler support
		'comment' => 'SAP spooler support',
		'port' => '5403',
		'protocol' => 'tcp',
		'name' => 'hpoms-ci-lstn'
	},
	'hpoms-dps-lstn' => { # hpoms-dps-lstn 5404/tcp # SAP spooler support
		'comment' => 'SAP spooler support',
		'port' => '5404',
		'protocol' => 'tcp',
		'name' => 'hpoms-dps-lstn'
	},
	'http_tcp' => { # http 80/tcp www # World Wide Web HTTP
		'comment' => 'World Wide Web HTTP',
		'port' => '80',
		'aliases' => [
				'www'
		],
		'protocol' => 'tcp',
		'name' => 'http'
	},
	'http_udp' => { # http 80/udp www # World Wide Web HTTP
		'comment' => 'World Wide Web HTTP',
		'port' => '80',
		'aliases' => [
				'www'
		],
		'protocol' => 'udp',
		'name' => 'http'
	},
	'iasqlsvr' => { # iasqlsvr 7489/tcp # Information Access
		'comment' => 'Information Access',
		'port' => '7489',
		'protocol' => 'tcp',
		'name' => 'iasqlsvr'
	},
	'imap' => { # imap 143/tcp imap2 # Internet Mail Access Protocol v2
		'comment' => 'Internet Mail Access Protocol v2',
		'port' => '143',
		'aliases' => [
				'imap2'
		],
		'protocol' => 'tcp',
		'name' => 'imap'
	},
	'infxol' => { # infxol 1505/tcp #Informix Online
		'comment' => 'Informix Online',
		'port' => '1505',
		'protocol' => 'tcp',
		'name' => 'infxol'
	},
	'infxse' => { # infxse 1506/tcp #Informix SE
		'comment' => 'Informix SE',
		'port' => '1506',
		'protocol' => 'tcp',
		'name' => 'infxse'
	},
	'ingreslock' => { # ingreslock 1524/tcp # ingreslock
		'comment' => 'ingreslock',
		'port' => '1524',
		'protocol' => 'tcp',
		'name' => 'ingreslock'
	},
	'instl_bootc' => { # instl_bootc 1068/udp # installation bootstrap protocol client
		'comment' => 'installation bootstrap protocol client',
		'port' => '1068',
		'protocol' => 'udp',
		'name' => 'instl_bootc'
	},
	'instl_boots' => { # instl_boots 1067/udp # installation bootstrap protocol server
		'comment' => 'installation bootstrap protocol server',
		'port' => '1067',
		'protocol' => 'udp',
		'name' => 'instl_boots'
	},
	'ito-e-gui' => { # ito-e-gui 2531/tcp # ITO Enterprise Java GUI
		'comment' => 'ITO Enterprise Java GUI',
		'port' => '2531',
		'protocol' => 'tcp',
		'name' => 'ito-e-gui'
	},
	'kerberos_tcp' => { # kerberos 750/tcp kdc # Kerberos key server
		'comment' => 'Kerberos key server',
		'port' => '750',
		'aliases' => [
				'kdc'
		],
		'protocol' => 'tcp',
		'name' => 'kerberos'
	},
	'kerberos_udp' => { # kerberos 750/udp kdc # Kerberos key server
		'comment' => 'Kerberos key server',
		'port' => '750',
		'aliases' => [
				'kdc'
		],
		'protocol' => 'udp',
		'name' => 'kerberos'
	},
	'kerberos_adm_tcp' => { # kerberos-adm 749/tcp # Kerberos V5 Administration
		'comment' => 'Kerberos V5 Administration',
		'port' => '749',
		'protocol' => 'tcp',
		'name' => 'kerberos-adm'
	},
	'kerberos_adm_udp' => { # kerberos-adm 749/udp # Kerberos V5 Administration
		'comment' => 'Kerberos V5 Administration',
		'port' => '749',
		'protocol' => 'udp',
		'name' => 'kerberos-adm'
	},
	'kerberos5' => { # kerberos5 88/udp kdc # Kerberos 5 kdc
		'comment' => 'Kerberos 5 kdc',
		'port' => '88',
		'aliases' => [
				'kdc'
		],
		'protocol' => 'udp',
		'name' => 'kerberos5'
	},
	'kerberos_master' => { # kerberos_master 751/tcp kadmin # Kerberos kadmin
		'comment' => 'Kerberos kadmin',
		'port' => '751',
		'aliases' => [
				'kadmin'
		],
		'protocol' => 'tcp',
		'name' => 'kerberos_master'
	},
	'klogin' => { # klogin 543/tcp # Kerberos authenticated rlogin
		'comment' => 'Kerberos authenticated rlogin',
		'port' => '543',
		'protocol' => 'tcp',
		'name' => 'klogin'
	},
	'kpasswd' => { # kpasswd 761/tcp kpwd # Kerberos passwd -kfall
		'comment' => 'Kerberos passwd -kfall',
		'port' => '761',
		'aliases' => [
				'kpwd'
		],
		'protocol' => 'tcp',
		'name' => 'kpasswd'
	},
	'krb5_prop' => { # krb5_prop 754/tcp # Kerberos V5 KDC propogation
		'comment' => 'Kerberos V5 KDC propogation',
		'port' => '754',
		'protocol' => 'tcp',
		'name' => 'krb5_prop'
	},
	'krbupdate' => { # krbupdate 760/tcp kreg # Kerberos registration -kfall
		'comment' => 'Kerberos registration -kfall',
		'port' => '760',
		'aliases' => [
				'kreg'
		],
		'protocol' => 'tcp',
		'name' => 'krbupdate'
	},
	'kshell' => { # kshell 544/tcp cmd # Kerberos authenticated remote shell
		'comment' => 'Kerberos authenticated remote shell',
		'port' => '544',
		'aliases' => [
				'cmd'
		],
		'protocol' => 'tcp',
		'name' => 'kshell'
	},
	'lanmgrx_osB' => { # lanmgrx.osB 5696/tcp # LAN Manager/X for B.00.00 OfficeShare
		'comment' => 'LAN Manager/X for B.00.00 OfficeShare',
		'port' => '5696',
		'protocol' => 'tcp',
		'name' => 'lanmgrx.osB'
	},
	'lansrm' => { # lansrm 570/udp # SRM/UX Server
		'comment' => 'SRM/UX Server',
		'port' => '570',
		'protocol' => 'udp',
		'name' => 'lansrm'
	},
	'ldap_tcp' => { # ldap 389/tcp # Lightweight Directory Access Protocol
		'comment' => 'Lightweight Directory Access Protocol',
		'port' => '389',
		'protocol' => 'tcp',
		'name' => 'ldap'
	},
	'ldap_udp' => { # ldap 389/udp # Lightweight Directory Access Protocol
		'comment' => 'Lightweight Directory Access Protocol',
		'port' => '389',
		'protocol' => 'udp',
		'name' => 'ldap'
	},
	'ldaps_tcp' => { # ldaps 636/tcp # LDAP protocol over TLS/SSL (was sldap)
		'comment' => 'LDAP protocol over TLS/SSL (was sldap)',
		'port' => '636',
		'protocol' => 'tcp',
		'name' => 'ldaps'
	},
	'ldaps_udp' => { # ldaps 636/udp # LDAP protocol over TLS/SSL (was sldap)
		'comment' => 'LDAP protocol over TLS/SSL (was sldap)',
		'port' => '636',
		'protocol' => 'udp',
		'name' => 'ldaps'
	},
	'link' => { # link 87/tcp ttylink # private terminal link
		'comment' => 'private terminal link',
		'port' => '87',
		'aliases' => [
				'ttylink'
		],
		'protocol' => 'tcp',
		'name' => 'link'
	},
	'listen' => { # listen 2766/tcp # System V listener port
		'comment' => 'System V listener port',
		'port' => '2766',
		'protocol' => 'tcp',
		'name' => 'listen'
	},
	'listener' => { # listener 1521/tcp # Oracle listener
		'comment' => 'Oracle listener',
		'port' => '1521',
		'protocol' => 'tcp',
		'name' => 'listener'
	},
	'lmfcd' => { # lmfcd 13718/tcp lmfcd # lmfcd
		'comment' => 'lmfcd',
		'port' => '13718',
		'aliases' => [
				'lmfcd'
		],
		'protocol' => 'tcp',
		'name' => 'lmfcd'
	},
	'lockd_udp' => { # lockd 4045/udp # NFS lock daemon/manager
		'comment' => 'NFS lock daemon/manager',
		'port' => '4045',
		'protocol' => 'udp',
		'name' => 'lockd'
	},
	'lockd_tcp' => { # lockd 4045/udp # NFS lock daemon/manager
		'comment' => 'NFS lock daemon/manager',
		'port' => '4045',
		'protocol' => 'tcp',
		'name' => 'lockd'
	},
	'login' => { # login 513/tcp # remote login
		'comment' => 'remote login',
		'port' => '513',
		'protocol' => 'tcp',
		'name' => 'login'
	},
	'mcsemon' => { # mcsemon 9999/tcp # MC/System Environment monitor
		'comment' => 'MC/System Environment monitor',
		'port' => '9999',
		'protocol' => 'tcp',
		'name' => 'mcsemon'
	},
	'mobile-ip' => { # mobile-ip 434/udp mobile-ip # Mobile-IP
		'comment' => 'Mobile-IP',
		'port' => '434',
		'aliases' => [
				'mobile-ip'
		],
		'protocol' => 'udp',
		'name' => 'mobile-ip'
	},
	'monitor' => { # monitor 561/udp # experimental
		'comment' => 'experimental',
		'port' => '561',
		'protocol' => 'udp',
		'name' => 'monitor'
	},
	'msql' => { # msql 1111/tcp # Mini SQL database server
		'comment' => 'Mini SQL database server',
		'port' => '1111',
		'protocol' => 'tcp',
		'name' => 'msql'
	},
	'name' => { # name 42/udp nameserver # name
		'comment' => 'name',
		'port' => '42',
		'aliases' => [
				'nameserver'
		],
		'protocol' => 'udp',
		'name' => 'name'
	},
	'nbdbd' => { # nbdbd 13784/tcp nbdbd # Netbackup
		'comment' => 'Netbackup',
		'port' => '13784',
		'aliases' => [
				'nbdbd'
		],
		'protocol' => 'tcp',
		'name' => 'nbdbd'
	},
	'ncpm_ft' => { # ncpm-ft 1744/udp # NCPM File Transfer
		'comment' => 'NCPM File Transfer',
		'port' => '1744',
		'protocol' => 'udp',
		'name' => 'ncpm-ft'
	},
	'ncpm_hip' => { # ncpm-hip 1683/udp # NCPM Host Information Provider
		'comment' => 'NCPM Host Information Provider',
		'port' => '1683',
		'protocol' => 'udp',
		'name' => 'ncpm-hip'
	},
	'ncpm_pm' => { # ncpm-pm 1591/udp # NCPM Policy Manager
		'comment' => 'NCPM Policy Manager',
		'port' => '1591',
		'protocol' => 'udp',
		'name' => 'ncpm-pm'
	},
	'netbios_dgm_tcp' => { # netbios-dgm 138/tcp # NETBIOS Datagram Service
		'comment' => 'NETBIOS Datagram Service',
		'port' => '138',
		'protocol' => 'tcp',
		'name' => 'netbios-dgm',
		'aliases' => [
			'netbios_dgm',
		],
	},
	'netbios_dgm_udp' => { # netbios-dgm 138/udp # NETBIOS Datagram Service
		'comment' => 'NETBIOS Datagram Service',
		'port' => '138',
		'protocol' => 'udp',
		'name' => 'netbios-dgm',
		'aliases' => [
			'netbios_dgm',
		],
	},
	'netbios_ns_tcp' => { # netbios-ns 137/tcp # NETBIOS Name Service
		'comment' => 'NETBIOS Name Service',
		'port' => '137',
		'protocol' => 'tcp',
		'name' => 'netbios-ns',
		'aliases' => [
			'netbios_ns',
		],
	},
	'netbios-ns_udp' => { # netbios-ns 137/udp # NETBIOS Name Service
		'comment' => 'NETBIOS Name Service',
		'port' => '137',
		'protocol' => 'udp',
		'name' => 'netbios-ns',
		'aliases' => [
			'netbios_ns',
		],
	},
	'netbios_ssn_tcp' => { # netbios-ssn 139/tcp # NETBIOS Session Service
		'comment' => 'NETBIOS Session Service',
		'port' => '139',
		'protocol' => 'tcp',
		'name' => 'netbios-ssn',
		'aliases' => [
			'netbios_ssn',
		],
	},
	'netbios_ssn_udp' => { # netbios-ssn 139/udp # NETBIOS Session Service
		'comment' => 'NETBIOS Session Service',
		'port' => '139',
		'protocol' => 'udp',
		'name' => 'netbios-ssn',
		'aliases' => [
			'netbios_ssn',
		],
	},
	'netdist' => { # netdist 2106/tcp # update(1m) network distribution service
		'comment' => 'update(1m) network distribution service',
		'port' => '2106',
		'protocol' => 'tcp',
		'name' => 'netdist'
	},
	'netnews' => { # netnews 532/tcp readnews #
		'comment' => 'netnews',
		'port' => '532',
		'aliases' => [
				'readnews'
		],
		'protocol' => 'tcp',
		'name' => 'netnews'
	},
	'netstat' => { # netstat 15/tcp # netstat
		'comment' => 'netstat',
		'port' => '15',
		'protocol' => 'tcp',
		'name' => 'netstat'
	},
	'netwall' => { # netwall 533/udp # Emergency broadcasting
		'comment' => 'Emergency broadcasting',
		'port' => '533',
		'protocol' => 'udp',
		'name' => 'netwall'
	},
	'new-rwho' => { # new-rwho 550/udp new-who # experimental
		'comment' => 'experimental',
		'port' => '550',
		'aliases' => [
				'new-who'
		],
		'protocol' => 'udp',
		'name' => 'new-rwho'
	},
	'nfsd_tcp' => { # nfsd 2049/tcp nfs # NFS server daemon (cots)
		'comment' => 'NFS server daemon (cots)',
		'port' => '2049',
		'aliases' => [
				'nfs'
		],
		'protocol' => 'tcp',
		'name' => 'nfsd'
	},
	'nfsd_udp' => { # nfsd 2049/udp nfs # NFS server daemon (clts)
		'comment' => 'NFS server daemon (clts)',
		'port' => '2049',
		'aliases' => [
				'nfs'
		],
		'protocol' => 'udp',
		'name' => 'nfsd'
	},
	'nfsd_keepalive' => { # nfsd-keepalive 1110/udp # Client status info
		'comment' => 'Client status info',
		'port' => '1110',
		'protocol' => 'udp',
		'name' => 'nfsd-keepalive',
		'aliases' => [
			'nfsd-status',
		],
	},
	'nft' => { # nft 1536/tcp # NS network file transfer
		'comment' => 'NS network file transfer',
		'port' => '1536',
		'protocol' => 'tcp',
		'name' => 'nft'
	},
	'nntp' => { # nntp 119/tcp readnews untp # Network News Transfer Protocol
		'comment' => 'Network News Transfer Protocol',
		'port' => '119',
		'aliases' => [
				'readnews',
				'untp',
				'usenet',
		],
		'protocol' => 'tcp',
		'name' => 'nntp'
	},
	'ntalk' => { # ntalk 518/udp # new talk, conversation
		'comment' => 'new talk, conversation',
		'port' => '518',
		'protocol' => 'udp',
		'name' => 'ntalk'
	},
	'ntp_tcp' => { # ntp 123/tcp # Network Time Protocol
		'comment' => 'Network Time Protocol',
		'port' => '123',
		'protocol' => 'tcp',
		'name' => 'ntp'
	},
	'ntp_udp' => { # ntp 123/udp # Network Time Protocol
		'comment' => 'Network Time Protocol',
		'port' => '123',
		'protocol' => 'udp',
		'name' => 'ntp'
	},
	'odld' => { # odld 13706/tcp odld # odld
		'comment' => 'odld',
		'port' => '13706',
		'aliases' => [
				'odld'
		],
		'protocol' => 'tcp',
		'name' => 'odld'
	},
	'omni' => { # omni 5555/tcp # OMNIBACK-II
		'comment' => 'OMNIBACK-II',
		'port' => '5555',
		'protocol' => 'tcp',
		'name' => 'omni'
	},
	'opcsera' => { # opcsera 7279/tcp
		'comment' => 'opcsera',
		'port' => '7279',
		'protocol' => 'tcp',
		'name' => 'opcsera'
	},
	'opcsvcterm' => { # opcsvcterm 7278/tcp # Service engine remote access
		'comment' => 'Service engine remote access',
		'port' => '7278',
		'protocol' => 'tcp',
		'name' => 'opcsvcterm'
	},
	'ovalarmsrv' => { # ovalarmsrv 2953/tcp # OpenView Alarm Server daemon listener port
		'comment' => 'OpenView Alarm Server daemon listener port',
		'port' => '2953',
		'protocol' => 'tcp',
		'name' => 'ovalarmsrv'
	},
	'ovalarmsrv_cmd' => { # ovalarmsrv_cmd 2954/tcp # OpenView Alarm Server daemon command port
		'comment' => 'OpenView Alarm Server daemon command port',
		'port' => '2954',
		'protocol' => 'tcp',
		'name' => 'ovalarmsrv_cmd'
	},
	'ovembeddb' => { # ovembeddb 2690/tcp # OpenView Embedded DW Database
		'comment' => 'OpenView Embedded DW Database',
		'port' => '2690',
		'protocol' => 'tcp',
		'name' => 'ovembeddb'
	},
	'ovhttp' => { # ovhttp 8880/tcp # OpenView Web Server (placeholder)
		'comment' => 'OpenView Web Server (placeholder)',
		'port' => '8880',
		'protocol' => 'tcp',
		'name' => 'ovhttp'
	},
	'ovsessionmgr' => { # ovsessionmgr 2389/tcp # OpenView Web Session Manager
		'comment' => 'OpenView Web Session Manager',
		'port' => '2389',
		'protocol' => 'tcp',
		'name' => 'ovsessionmgr'
	},
	'ovtopmd' => { # ovtopmd 2532/tcp # OpenView IP Topology daemon
		'comment' => 'OpenView IP Topology daemon',
		'port' => '2532',
		'protocol' => 'tcp',
		'name' => 'ovtopmd'
	},
	'ovuispmd' => { # ovuispmd 7777/tcp # OpenView UI Services daemon
		'comment' => 'OpenView UI Services daemon',
		'port' => '7777',
		'protocol' => 'tcp',
		'name' => 'ovuispmd'
	},
	'ovwdb' => { # ovwdb 2447/tcp # OpenView Object Database daemon
		'comment' => 'OpenView Object Database daemon',
		'port' => '2447',
		'protocol' => 'tcp',
		'name' => 'ovwdb'
	},
	'pcserver' => { # pcserver 600/tcp # ECD Integrated PC board srvr
		'comment' => 'ECD Integrated PC board srvr',
		'port' => '600',
		'protocol' => 'tcp',
		'name' => 'pcserver'
	},
	'pdclientd' => { # pdclientd 6874/tcp # Palladium print client daemon
		'comment' => 'Palladium print client daemon',
		'port' => '6874',
		'protocol' => 'tcp',
		'name' => 'pdclientd'
	},
	'pdeventd' => { # pdeventd 6875/tcp # Palladium print event daemon
		'comment' => 'Palladium print event daemon',
		'port' => '6875',
		'protocol' => 'tcp',
		'name' => 'pdeventd'
	},
	'pmdmgr' => { # pmdmgr 696/udp # OpenView Postmaster Manager
		'comment' => 'OpenView Postmaster Manager',
		'port' => '696',
		'protocol' => 'udp',
		'name' => 'pmdmgr'
	},
	'pmlockd_tcp' => { # pmlockd 1889/tcp # SynerVision locking daemon
		'comment' => 'SynerVision locking daemon',
		'port' => '1889',
		'protocol' => 'tcp',
		'name' => 'pmlockd'
	},
	'pmlockd_udp' => { # pmlockd 1889/udp # SynerVision locking daemon
		'comment' => 'SynerVision locking daemon',
		'port' => '1889',
		'protocol' => 'udp',
		'name' => 'pmlockd'
	},
	'pop' => { # pop 109/tcp postoffice pop2 # Post Office Protocol - Version 2
		'comment' => 'Post Office Protocol - Version 2',
		'port' => '109',
		'aliases' => [
				'postoffice',
				'pop2',
				'pop-2',
		],
		'protocol' => 'tcp',
		'name' => 'pop'
	},
	'pop3' => { # pop3 110/tcp pop-3 # Post Office Protocol - Version 3
		'comment' => 'Post Office Protocol - Version 3',
		'port' => '110',
		'aliases' => [
				'pop-3',
		],
		'protocol' => 'tcp',
		'name' => 'pop3'
	},
	'portmap' => { # portmap 111/tcp sunrpc # SUN Remote Procedure Call
		'comment' => 'SUN Remote Procedure Call',
		'port' => '111',
		'aliases' => [
				'sunrpc'
		],
		'protocol' => 'tcp',
		'name' => 'portmap'
	},
	'printer' => { # printer 515/tcp spooler # line printer spooler
		'comment' => 'line printer spooler',
		'port' => '515',
		'aliases' => [
				'spooler'
		],
		'protocol' => 'tcp',
		'name' => 'printer'
	},
	'psmond_tcp' => { # psmond 1788/tcp # Predictive Monitor
		'comment' => 'Predictive Monitor',
		'port' => '1788',
		'protocol' => 'tcp',
		'name' => 'psmond'
	},
	'psmond_udp' => { # psmond 1788/udp # Hardware Predictive Monitor
		'comment' => 'Hardware Predictive Monitor',
		'port' => '1788',
		'protocol' => 'udp',
		'name' => 'psmond'
	},
	'pvalarm' => { # pvalarm 383/tcp # PV alarm management
		'comment' => 'PV alarm management',
		'port' => '383',
		'protocol' => 'tcp',
		'name' => 'pvalarm'
	},
	'pvserver' => { # pvserver 382/tcp # PV server
		'comment' => 'PV server',
		'port' => '382',
		'protocol' => 'tcp',
		'name' => 'pvserver'
	},
	'qotd' => { # qotd 17/tcp quote # Quote of the Day
		'comment' => 'Quote of the Day',
		'port' => '17',
		'aliases' => [
				'quote'
		],
		'protocol' => 'tcp',
		'name' => 'qotd'
	},
	'r4_sna_cs' => { # r4-sna-cs 5707/tcp # SNA client/server (up to Release 4.1)
		'comment' => 'SNA client/server (up to Release 4.1)',
		'port' => '5707',
		'protocol' => 'tcp',
		'name' => 'r4-sna-cs'
	},
	'r4_sna_ft' => { # r4-sna-ft 5709/tcp # SNA file transfer (up to Release 4.1)
		'comment' => 'SNA file transfer (up to Release 4.1)',
		'port' => '5709',
		'protocol' => 'tcp',
		'name' => 'r4-sna-ft'
	},
	'radacct' => { # radacct 1646/udp # Ace Server
		'comment' => 'Ace Server',
		'port' => '1646',
		'protocol' => 'udp',
		'name' => 'radacct'
	},
	'recserv' => { # recserv 7815/tcp # SharedX Receiver Service
		'comment' => 'SharedX Receiver Service',
		'port' => '7815',
		'protocol' => 'tcp',
		'name' => 'recserv'
	},
	'registrar_tcp' => { # registrar 1712/tcp # resource monitor service
		'comment' => 'resource monitor service',
		'port' => '1712',
		'protocol' => 'tcp',
		'name' => 'registrar'
	},
	'registrar_udp' => { # registrar 1712/udp # resource monitoring service
		'comment' => 'resource monitoring service',
		'port' => '1712',
		'protocol' => 'udp',
		'name' => 'registrar'
	},
	'remotefs' => { # remotefs 556/tcp rfs_server rfs # Brunhoff remote filesystem
		'comment' => 'Brunhoff remote filesystem',
		'port' => '556',
		'aliases' => [
				'rfs_server',
				'rfs'
		],
		'protocol' => 'tcp',
		'name' => 'remotefs'
	},
	'rfa' => { # rfa 4672/tcp # NS remote file access
		'comment' => 'NS remote file access',
		'port' => '4672',
		'protocol' => 'tcp',
		'name' => 'rfa'
	},
	'ripng' => { # ripng 521/udp # ripng
		'comment' => 'ripng',
		'port' => '521',
		'protocol' => 'udp',
		'name' => 'ripng'
	},
	'rje' => { # rje 77/tcp netrjs # private RJE Service
		'comment' => 'private RJE Service',
		'port' => '77',
		'aliases' => [
				'netrjs'
		],
		'protocol' => 'tcp',
		'name' => 'rje'
	},
	'rlp' => { # rlp 39/udp resource # Resource Location Protocol
		'comment' => 'Resource Location Protocol',
		'port' => '39',
		'aliases' => [
				'resource'
		],
		'protocol' => 'udp',
		'name' => 'rlp'
	},
	'rmonitor' => { # rmonitor 560/udp rmonitord # experimental
		'comment' => 'experimental',
		'port' => '560',
		'aliases' => [
				'rmonitord'
		],
		'protocol' => 'udp',
		'name' => 'rmonitor'
	},
	'route' => { # route 520/udp router routed # routing information protocol
		'comment' => 'routing information protocol',
		'port' => '520',
		'aliases' => [
				'router',
				'routed'
		],
		'protocol' => 'udp',
		'name' => 'route'
	},
	'rsmd' => { # rsmd 13719/tcp rsmd
		'comment' => 'rsmd',
		'port' => '13719',
		'aliases' => [
				'rsmd'
		],
		'protocol' => 'tcp',
		'name' => 'rsmd'
	},
	'samd' => { # samd 3275/tcp # sam daemon
		'comment' => 'sam daemon',
		'port' => '3275',
		'protocol' => 'tcp',
		'name' => 'samd'
	},
	'sdadmind' => { # sdadmind 5550/tcp # Ace Server
		'comment' => 'Ace Server',
		'port' => '5550',
		'protocol' => 'tcp',
		'name' => 'sdadmind'
	},
	'sdcommd' => { # sdcommd 5570/tcp # Aceserver
		'comment' => 'Aceserver',
		'port' => '5570',
		'protocol' => 'tcp',
		'name' => 'sdcommd'
	},
	'sdlockmgr' => { # sdlockmgr 5560/tcp # Aceserver
		'comment' => 'Aceserver',
		'port' => '5560',
		'protocol' => 'tcp',
		'name' => 'sdlockmgr'
	},
	'sdlog' => { # sdlog 5520/tcp # Ace Server
		'comment' => 'Ace Server',
		'port' => '5520',
		'protocol' => 'tcp',
		'name' => 'sdlog'
	},
	'sdserv' => { # sdserv 5530/tcp # Ace Server
		'comment' => 'Ace Server',
		'port' => '5530',
		'protocol' => 'tcp',
		'name' => 'sdserv'
	},
	'sdxauthd_tcp' => { # sdxauthd 5540/tcp # Aceserver
		'comment' => 'Aceserver',
		'port' => '5540',
		'protocol' => 'tcp',
		'name' => 'sdxauthd'
	},
	'sdxauthd_udp' => { # sdxauthd 5540/udp # Ace Server
		'comment' => 'Ace Server',
		'port' => '5540',
		'protocol' => 'udp',
		'name' => 'sdxauthd'
	},
	'securid' => { # securid 5500/udp # Aceserver
		'comment' => 'Aceserver',
		'port' => '5500',
		'protocol' => 'udp',
		'name' => 'securid'
	},
	'securidprop' => { # securidprop 5510/tcp # Ace Server
		'comment' => 'Ace Server',
		'port' => '5510',
		'protocol' => 'tcp',
		'name' => 'securidprop'
	},
	'securidprop_00' => { # securidprop_00 5505/tcp # Aceserver
		'comment' => 'Aceserver',
		'port' => '5505',
		'protocol' => 'tcp',
		'name' => 'securidprop_00'
	},
	'securidprop_01' => { # securidprop_01 5506/tcp # Aceserver
		'comment' => 'Aceserver',
		'port' => '5506',
		'protocol' => 'tcp',
		'name' => 'securidprop_01'
	},
	'securidprop_02' => { # securidprop_02 5507/tcp # Aceserver
		'comment' => 'Aceserver',
		'port' => '5507',
		'protocol' => 'tcp',
		'name' => 'securidprop_02'
	},
	'securidprop_03' => { # securidprop_03 5508/tcp # Aceserver
		'comment' => 'Aceserver',
		'port' => '5508',
		'protocol' => 'tcp',
		'name' => 'securidprop_03'
	},
	'securidprop_04' => { # securidprop_04 5509/tcp # Aceserver
		'comment' => 'Aceserver',
		'port' => '5509',
		'protocol' => 'tcp',
		'name' => 'securidprop_04'
	},
	'securidprop_06' => { # securidprop_06 5511/tcp # Aceserver
		'comment' => 'Aceserver',
		'port' => '5511',
		'protocol' => 'tcp',
		'name' => 'securidprop_06'
	},
	'securidprop_07' => { # securidprop_07 5512/tcp # Aceserver
		'comment' => 'Aceserver',
		'port' => '5512',
		'protocol' => 'tcp',
		'name' => 'securidprop_07'
	},
	'securidprop_08' => { # securidprop_08 5513/tcp # Aceserver
		'comment' => 'Aceserver',
		'port' => '5513',
		'protocol' => 'tcp',
		'name' => 'securidprop_08'
	},
	'securidprop_09' => { # securidprop_09 5514/tcp # Aceserver
		'comment' => 'Aceserver',
		'port' => '5514',
		'protocol' => 'tcp',
		'name' => 'securidprop_09'
	},
	'securidprop_10' => { # securidprop_10 5515/tcp # Aceserver
		'comment' => 'Aceserver',
		'port' => '5515',
		'protocol' => 'tcp',
		'name' => 'securidprop_10'
	},
	'sftp' => { # sftp 115/tcp # Simple File Transfer Protocol
		'comment' => 'Simple File Transfer Protocol',
		'port' => '115',
		'protocol' => 'tcp',
		'name' => 'sftp'
	},
	'shell' => { # shell 514/tcp cmd # remote command, no passwd used
		'comment' => 'remote command, no passwd used',
		'port' => '514',
		'aliases' => [
				'cmd'
		],
		'protocol' => 'tcp',
		'name' => 'shell'
	},
	'slp_tcp' => { # slp 427/tcp slp # Service Location Protocol, V2
		'comment' => 'Service Location Protocol, V2',
		'port' => '427',
		'aliases' => [
				'slp'
		],
		'protocol' => 'tcp',
		'name' => 'slp'
	},
	'slp_udp' => { # slp 427/udp slp # Service Location Protocol, V2
		'comment' => 'Service Location Protocol, V2',
		'port' => '427',
		'aliases' => [
				'slp'
		],
		'protocol' => 'udp',
		'name' => 'slp'
	},
	'smtp' => { # smtp 25/tcp # Simple Mail Transfer Protocol
		'comment' => 'Simple Mail Transfer Protocol',
		'port' => '25',
		'protocol' => 'tcp',
		'name' => 'smtp',
		'aliases' => [
				'mail'
		],
	},
	'snmp' => { # snmp 161/udp snmpd # Simple Network Management Protocol Agent
		'comment' => 'Simple Network Management Protocol Agent',
		'port' => '161',
		'aliases' => [
				'snmpd'
		],
		'protocol' => 'udp',
		'name' => 'snmp'
	},
	'snmp_trap' => { # snmp-trap 162/udp trapd # Simple Network Management Protocol Traps
		'comment' => 'Simple Network Management Protocol Traps',
		'port' => '162',
		'aliases' => [
				'trapd'
		],
		'protocol' => 'udp',
		'name' => 'snmp-trap'
	},
	'spc' => { # spc 6111/tcp # sub-process control
		'comment' => 'sub-process control',
		'port' => '6111',
		'protocol' => 'tcp',
		'name' => 'spc'
	},
	'submission_tcp' => { # submission 587/tcp # Mail Message Submission
		'comment' => 'Mail Message Submission',
		'port' => '587',
		'protocol' => 'tcp',
		'name' => 'submission'
	},
	'submission_udp' => { # submission 587/udp # see RFC 2476
		'comment' => 'see RFC 2476',
		'port' => '587',
		'protocol' => 'udp',
		'name' => 'submission'
	},
	'sun-dr' => { # sun-dr 665/tcp # Remote Dynamic Reconfiguration
		'comment' => 'Remote Dynamic Reconfiguration',
		'port' => '665',
		'protocol' => 'tcp',
		'name' => 'sun-dr'
	},
	'sunrpc_tcp' => { # sunrpc 111/tcp rpcbind # sunrpc
		'comment' => 'sunrpc',
		'port' => '111',
		'aliases' => [
				'rpcbind'
		],
		'protocol' => 'tcp',
		'name' => 'sunrpc'
	},
	'sunrpc_udp' => { # sunrpc 111/udp rpcbind
		'comment' => 'rpcbind',
		'port' => '111',
		'aliases' => [
				'rpcbind'
		],
		'protocol' => 'udp',
		'name' => 'sunrpc'
	},
	'supdup' => { # supdup 95/tcp
		'comment' => 'supdup',
		'port' => '95',
		'protocol' => 'tcp',
		'name' => 'supdup'
	},
	'syslog' => { # syslog 514/udp # remote system logging
		'comment' => 'remote system logging',
		'port' => '514',
		'protocol' => 'udp',
		'name' => 'syslog'
	},
	'systat' => { # systat 11/tcp users # Active Users
		'comment' => 'Active Users',
		'port' => '11',
		'aliases' => [
				'users'
		],
		'protocol' => 'tcp',
		'name' => 'systat'
	},
	'tacacs' => { # tacacs 49/tcp # TACACS+ Ace Server
		'comment' => 'TACACS+ Ace Server',
		'port' => '49',
		'protocol' => 'tcp',
		'name' => 'tacacs'
	},
	'talk' => { # talk 517/udp # conversation
		'comment' => 'conversation',
		'port' => '517',
		'protocol' => 'udp',
		'name' => 'talk'
	},
	'tcpmux' => { # tcpmux 1/tcp # TCP port multiplexer (RFC 1078)
		'comment' => 'TCP port multiplexer (RFC 1078)',
		'port' => '1',
		'protocol' => 'tcp',
		'name' => 'tcpmux'
	},
	'telnet' => { # telnet 23/tcp # Remote terminal protocol
		'comment' => 'Remote terminal protocol',
		'port' => '23',
		'protocol' => 'tcp',
		'name' => 'telnet'
	},
	'tempo' => { # tempo 526/tcp newdate #
		'comment' => 'tempo',
		'port' => '526',
		'aliases' => [
				'newdate'
		],
		'protocol' => 'tcp',
		'name' => 'tempo'
	},
	'tftp' => { # tftp 69/udp # Trivial File Transfer Protocol
		'comment' => 'Trivial File Transfer Protocol',
		'port' => '69',
		'protocol' => 'udp',
		'name' => 'tftp'
	},
	'time_tcp' => { # time 37/tcp timeserver # Time
		'comment' => 'Time',
		'port' => '37',
		'aliases' => [
				'timeserver'
		],
		'protocol' => 'tcp',
		'name' => 'time'
	},
	'time_udp' => { # time 37/udp timeserver #
		'comment' => 'time',
		'port' => '37',
		'aliases' => [
				'timeserver'
		],
		'protocol' => 'udp',
		'name' => 'time'
	},
	'timed' => { # timed 525/udp timeserver # remote clock synchronization
		'comment' => 'remote clock synchronization',
		'port' => '525',
		'aliases' => [
				'timeserver'
		],
		'protocol' => 'udp',
		'name' => 'timed'
	},
	'tl4d' => { # tl4d 13713/tcp tl4d
		'comment' => 'tl4d',
		'port' => '13713',
		'aliases' => [
				'tl4d'
		],
		'protocol' => 'tcp',
		'name' => 'tl4d'
	},
	'tl8cd' => { # tl8cd 13705/tcp tl8cd
		'comment' => 'tl8cd',
		'port' => '13705',
		'aliases' => [
				'tl8cd'
		],
		'protocol' => 'tcp',
		'name' => 'tl8cd'
	},
	'tldcd' => { # tldcd 13711/tcp tldcd
		'comment' => 'tldcd',
		'port' => '13711',
		'aliases' => [
				'tldcd'
		],
		'protocol' => 'tcp',
		'name' => 'tldcd'
	},
	'tlhcd' => { # tlhcd 13717/tcp tlhcd
		'comment' => 'tlhcd',
		'port' => '13717',
		'aliases' => [
				'tlhcd'
		],
		'protocol' => 'tcp',
		'name' => 'tlhcd'
	},
	'tlmd' => { # tlmd 13716/tcp tlmd
		'comment' => 'tlmd',
		'port' => '13716',
		'aliases' => [
				'tlmd'
		],
		'protocol' => 'tcp',
		'name' => 'tlmd'
	},
	'ts8d' => { # ts8d 13709/tcp ts8d
		'comment' => 'ts8d',
		'port' => '13709',
		'aliases' => [
				'ts8d'
		],
		'protocol' => 'tcp',
		'name' => 'ts8d'
	},
	'tsap' => { # tsap 102/tcp iso_tsap iso-tsap # ISO TSAP (part of ISODE)
		'comment' => 'ISO TSAP (part of ISODE)',
		'port' => '102',
		'aliases' => [
				'iso_tsap',
				'iso-tsap',
		],
		'protocol' => 'tcp',
		'name' => 'tsap'
	},
	'tsdd' => { # tsdd 13714/tcp tsdd # tsdd
		'comment' => 'tsdd',
		'port' => '13714',
		'aliases' => [
				'tsdd'
		],
		'protocol' => 'tcp',
		'name' => 'tsdd'
	},
	'tshd' => { # tshd 13715/tcp tshd
		'comment' => 'tshd',
		'port' => '13715',
		'protocol' => 'tcp',
		'name' => 'tshd'
	},
	'uagent' => { # uagent 2620/tcp #PentaSafe Security Technologies agent
		'comment' => 'PentaSafe Security Technologies agent',
		'port' => '2620',
		'protocol' => 'tcp',
		'name' => 'uagent'
	},
	'ufsd_tcp' => { # ufsd 1008/tcp ufsd # UFS-aware server
		'comment' => 'UFS-aware server',
		'port' => '1008',
		'protocol' => 'tcp',
		'name' => 'ufsd'
	},
	'ufsd_tcp' => { # ufsd 1008/udp ufsd
		'comment' => 'UFS-aware server',
		'port' => '1008',
		'protocol' => 'udp',
		'name' => 'ufsd'
	},
	'uucp' => { # uucp 540/tcp uucpd # uucp daemon
		'comment' => 'uucp daemon',
		'port' => '540',
		'aliases' => [
				'uucpd'
		],
		'protocol' => 'tcp',
		'name' => 'uucp'
	},
	'uucp_path' => { # uucp-path 117/tcp # UUCP Path Service
		'comment' => 'UUCP Path Service',
		'port' => '117',
		'protocol' => 'tcp',
		'name' => 'uucp-path'
	},
	'uvrpc' => { # uvrpc 31438/tcp # uvNet rpc port
		'comment' => 'uvNet rpc port',
		'port' => '31438',
		'protocol' => 'tcp',
		'name' => 'uvrpc'
	},
	'uvserv' => { # uvserv 1622/tcp #PentaSafe Security Technologies agent
		'comment' => 'PentaSafe Security Technologies agent',
		'port' => '1622',
		'protocol' => 'tcp',
		'name' => 'uvserv'
	},
	'veesm' => { # veesm 4789/tcp # HP VEE service manager
		'comment' => 'HP VEE service manager',
		'port' => '4789',
		'protocol' => 'tcp',
		'name' => 'veesm'
	},
	'visd' => { # visd 9284/tcp visd # Netbackup
		'comment' => 'Netbackup',
		'port' => '9284',
		'protocol' => 'tcp',
		'name' => 'visd'
	},
	'vmd' => { # vmd 13701/tcp vmd # vmd
		'comment' => 'vmd',
		'port' => '13701',
		'protocol' => 'tcp',
		'name' => 'vmd'
	},
	'vnetd' => { # vnetd 13724/tcp vnetd # Netbackup
		'comment' => 'Netbackup',
		'port' => '13724',
		'protocol' => 'tcp',
		'name' => 'vnetd'
	},
	'vopied' => { # vopied 13783/tcp vopied # Netbackup
		'comment' => 'Netbackup',
		'port' => '13783',
		'protocol' => 'tcp',
		'name' => 'vopied'
	},
	'vtlcd' => { # vtlcd 13708/tcp vtlcd # vtlcd
		'comment' => 'vtlcd',
		'port' => '13708',
		'protocol' => 'tcp',
		'name' => 'vtlcd'
	},
	'who' => { # who 513/udp whod # remote who and uptime
		'comment' => 'remote who and uptime',
		'port' => '513',
		'aliases' => [
				'whod'
		],
		'protocol' => 'udp',
		'name' => 'who'
	},
	'whois' => { # whois 43/tcp nicname # Who Is
		'comment' => 'Who Is',
		'port' => '43',
		'aliases' => [
				'nicname'
		],
		'protocol' => 'tcp',
		'name' => 'whois'
	},
	'www_ldap_gw_tcp' => { # www-ldap-gw 1760/tcp # HTTP to LDAP gateway
		'comment' => 'HTTP to LDAP gateway',
		'port' => '1760',
		'protocol' => 'tcp',
		'name' => 'www-ldap-gw'
	},
	'www_ldap_gw_udp' => { # www-ldap-gw 1760/udp # HTTP to LDAP gateway
		'comment' => 'HTTP to LDAP gateway',
		'port' => '1760',
		'protocol' => 'udp',
		'name' => 'www-ldap-gw'
	},
	'x400' => { # x400 103/tcp # ISO Mail
		'comment' => 'ISO Mail',
		'port' => '103',
		'protocol' => 'tcp',
		'name' => 'x400'
	},
	'x400-snd' => { # x400-snd 104/tcp # x400-snd
		'comment' => 'x400-snd',
		'port' => '104',
		'protocol' => 'tcp',
		'name' => 'x400-snd'
	},
};
