# $Id: hp-ux-B.11.00.mk,v 1.1 2003/07/25 00:46:09 loosifer Exp $
#
#	THIS MAKEFILE MUST BE EXECUTED ON THE TARGET MACHINE ( the machine
#	which is to be configured/updated).
#
#  This makefiles is used by $IS_ROOTDIR/bin/isconf to build and configure
#  a system.

# remove a bunch of startup scripts we don't need
startup-trim:
	files=' \
		audio \
		auditing \
		clean_adm \
		clean_uucp \
		comsec \
		ddfa \
		dtlogin.rc \
		gated \
		iforls \
		mrouted \
		named \
		nis.client \
		nis.server \
		nisplus.client \
		nisplus.server \
		OspfMib \
		ppp \
		rarpd \
		rbootd \
		rdpd \
		rwhod \
		set_date \
		set_prvgrp \
		slsd \
		SnmpHpunix \
		SnmpMaster \
		SnmpMib2 \
		SnmpTrpDst \
		'; \
	for file in $$files; do \
		if [ "`ls /sbin/rc*.d/*$$file 2>/dev/null`" ]; then \
			rm /sbin/rc*.d/*$$file; \
		fi; \
	done
	stamp $@

###
# here are HP products

# must install and then perform the mirror
hp_mirror: install_mirrordisk perform_mirror
	stamp $@

# this doesn't actually reboot
install_mirrordisk:
	pkginstall --reboot --pkg B2491BA --release B.11.00 --vendor HP
	stamp $@

perform_mirror:
	mirror_root
	stamp $@

# install and then patch
onlinejfs3.3: pkg/B3929CA-fndation__B.11.00__HP pkg/B3929CA__B.03.03__HP
	true
	stamp $@

pkg/B3929CA-fndation__B.11.00__HP pkg/B3929CA__B.03.03__HP pkg/Hotspot-patches__1.0__HP:
	mkdir -p pkg
	pkginstall --reboot --isconf $@
	stamp $@

# predictive support; this just installs, it doesn't configure yet
predictive:
	pkginstall --pkg OnlineDiag --release B.11.00.20.09 --vendor HP
	stamp $@

# install the unlimited user license
unlimited-user:
	pkginstall -reboot --pkg UnlimUserLic --release B.11.00.02 --vendor HP
	stamp $@

fibrechannel:
	pkginstall --reboot --pkg A6795A --release B.11.00.10 --vendor HP
	stamp $@

native-ldap:
	pkginstall --pkg J4269AA --release B.02.00 --vendor HP
	stamp $@

qpk-B.11.00.56.5:
	VERSION=`echo $@ | sed 's/^[^-][^-]*-//'`; \
	pkginstall -reboot --pkg QPK1100 --release $$VERSION --vendor HP
	stamp $@

dce-core-tools:
	pkginstall -reboot --pkg DCE-Core-Tools --release B.11.00.10 --vendor HP
	stamp $@

dce-kt-tools:
	pkginstall -reboot --pkg DCE-KT-Tools --release B.11.00.10 --vendor HP
	stamp $@

openview_patches:
	pkginstall --isconf pkg/Openview-patches__200206__HP
	stamp $@

OnlineDiag-B.11.00.21.10:
	PACKAGE=`echo $@ | sed 's/-[^-][^-]*$$//'`; \
	VERSION=`echo $@ | sed 's/^[^-][^-]*-//'`; \
	pkginstall -reboot --pkg $$PACKAGE --release $$VERSION --vendor HP
	stamp $@

