# $Id: hp-ux-B.11.11.mk,v 1.1 2003/07/25 00:46:09 loosifer Exp $
#
#	THIS MAKEFILE MUST BE EXECUTED ON THE TARGET MACHINE ( the machine
#	which is to be configured/updated).
#
#  This makefiles is used by $IS_ROOTDIR/bin/isconf to build and configure
#  a system.

# remove a bunch of startup scripts we don't need
startup-trim:
	files=' \
      audio \
      auditing \
      clean_adm \
      clean_uucp \
      comsec \
      ddfa \
      dtlogin.rc \
      gated \
      hub \
      i2o_raid \
      iforls \
      kl \
      mrouted \
      named \
      nis.client \
      nis.server \
      nisplus.client \
      nisplus.server \
      nisplus.server \
      OspfMib \
      pci_olar \
      ppp \
      rarpd \
      rbootd \
      rdpd \
      rwhod \
      set_date \
      set_prvgrp \
      slsd \
      SnmpHpunix \
      SnmpMaster \
      SnmpMib2 \
      SnmpTrpDst \
      webadmin \
		'; \
	for file in $$files; do \
		if [ "`ls /sbin/rc*.d/*$$file 2>/dev/null`" ]; then \
			rm /sbin/rc*.d/*$$file; \
		fi; \
	done
	stamp $@

# must install and then perform the mirror
hp_mirror: install_mirrordisk perform_mirror
	stamp $@

# don't want to rename or anything, but i'm just fixing this install stanza
install_mirrordisk: MirrorDisk-B.11.11

perform_mirror:
	mirror_root
	stamp $@

# measureware
glance:
	pkginstall --pkg B3701AA --release C.03.50.00 --vendor HP
	stamp $@

# install and then patch
onlinejfs3.3:
	pkginstall --pkg B3929CA --release B.11.11 --vendor HP
	stamp $@

fibrechannel:
	pkginstall --pkg A6795A --release B.11.11 --vendor HP --reboot
	stamp $@

ignite:
	pkginstall --pkg Ignite-UX --release B.3.5.89 --vendor HP
	stamp $@

native-ldap:
	pkginstall --pkg J4269AA --release B.02.00 --vendor HP
	stamp $@

oracle-patches-200209:
	pkginstall -pkg OraclePatches-200209 --release B.11.11 --vendor HP --reboot
	stamp $@

mc-serviceguard:
	pkginstall -pkg ServiceGuard --release A.11.14 --vendor HP --reboot
	stamp $@

pci-mux:
	pkginstall -pkg MUX_Patches --release 25491  --vendor HP --reboot
	stamp $@

OnlineDiag-B.11.11.07.11 HWEnable11i-B.11.11.0206.5 GOLDBASE11i-B.11.11.0206.4 \
GOLDAPPS11i-B.11.11.0206.4 MUX-B.11.11.05 MirrorDisk-B.11.11:
	PACKAGE=`echo $@ | sed 's/-[^-][^-]*$$//'`; \
	VERSION=`echo $@ | sed 's/^[^-][^-]*-//'`; \
	pkginstall -reboot --pkg $$PACKAGE --release $$VERSION --vendor HP
	stamp $@

# depot setup for ignite servers
setup-depots: mk_depotfs mount_depotfs copy_depots
	stamp $@

mk_depotfs:
	lvcreate -m 1 -l 1500 -n depot boot
	newfs /dev/boot/rdepot
	stamp $@

mount_depotfs:
	cp /etc/fstab /etc/fstab.`date +%Y%m%d%H%m%S`
	echo "/dev/boot/depot /var/depot vxfs delaylog 0 2" >> /etc/fstab
	mkdir /var/depot
	mount /var/depot
	stamp $@

copy_depots:
	mkdir /var/depot/B.11.00
	ln -s /var/depot/B.11.00 /B.11.00
	mkdir /var/depot/B.11.11
	ln -s /var/depot/B.11.11 /B.11.11
	swcopy -s depot.fpd.cat.com:/B.11.00 '*' @ /B.11.00
	swcopy -s depot.fpd.cat.com:/B.11.11 '*' @ /B.11.11
	stamp $@

enable_nfs:
	/sbin/init.d/nfs.server start
	stamp $@

Ignite-UX-B.3.7.96: pkg/B5725AA__B.3.7.96__HP pkg/Ignite-UX-11-00__B.3.7.96__HP pkg/Ignite-UX-11-11__B.3.7.96__HP pkg/B5725AA__B.3.7.96__HP pkg/Ignite-UX-11-00__B.3.7.96__HP pkg/Ignite-UX-11-11__B.3.7.96__HP pkg/ovo__7.0__HP
	- mkdir -p pkg
	pkginstall --isconf $@
	stamp $@

setup-ignite: init-ignite init-depots
	stamp $@

init-ignite:
	/opt/ignite/lbin/setup_server -n
	stamp $@

init-depots:
	for rev in B.11.11 B.11.00; do \
		make_config -c /var/opt/ignite/data/Rel_$$rev/core_cfg -s localhost:/$$rev; \
		/opt/ignite/bin/manage_index -a -f /var/opt/ignite/data/Rel_$$rev/core_cfg; \
	done
	stamp $@

# infolease stanzas

mkfs-ud40: mkfs_600-ud40-boot newfs_ud40-boot mountfs_ud40-boot-opt_ud40 
