# $Id: sunos.mk,v 1.1 2003/07/25 00:46:09 loosifer Exp $
#
#	THIS MAKEFILE MUST BE EXECUTED ON THE TARGET MACHINE ( the machine
#	which is to be configured/updated).
#

cron: rsync_all #crontabber

###
# reboot
reboot:
	if [ "X$(CONTEXT)" != "XBOOT" ]; then \
		echo CONTEXT is $(CONTEXT);\
		echo You can only reboot in boot context;\
		exit 1;\
	fi
	- rm -f .reboot_needed
	/usr/sbin/shutdown -g 0 -i 6 -y
	exit 1

install:
	- ln -s ../init.d/isconf /etc/rc2.d/S99isconf
	stamp $@

###
# various tasks
man-cleanup-XcmsSetCCCOfColormap:
	- rm -f /usr/openwin/share/man/man3/XcmsSetCCCOfColormap.3
	stamp $@

rootdg-detach:
	/usr/sbin/metadetach d56 d6
	metaclear d6
	cp /etc/vfstab /etc/vfstab.orig
	/usr/bin/grep -v rootdg /etc/vfstab.orig > /etc/vfstab 
	/sbin/umount /rootdg
	stamp $@

refresh-cfengine:
	rm -f /var/isconf/stamps/installcopy/copy--cfengine--2.0.4
	stamp $@

rm-badlinks:
	- rm /etc/rc2.d/S80rsyncd
	- rm /etc/rc2.d/S74syslog-ng
	stamp $@

90day-passwd:
	cp /etc/default/passwd /etc/default/passwd.bak
	sed 's/MAXWEEKS=..*$$/MAXWEEKS=13/' /etc/default/passwd.bak > /etc/default/passwd
	stamp $@

allow_adm_cron:
	echo adm >> /etc/cron.d/cron.allow
	stamp $@

sudoreport_cron:
	cronedit -user adm -add '10 2 * * 0 (echo "Subject: HTML Sudo Report "; echo "Content-Type: text/html;"; echo "  charset=\"iso-8859-1\""; /usr/local/scripts/sudoreport -html) | mail admins'
	stamp $@

disable_acct: rm-acct-cron
	rm /etc/rc*.d/*acct
	- sh /etc/init.d/acct stop
	stamp $@

filenet_account:
	systemuser.sh edmsadm 706 imagadm 700 /sbin/noshell /home/edmsadm "EDMS admin Account"	
	stamp $@

postfix_account:
	systemuser.sh postfix 509 postfix 509 /sbin/noshell /home/postfix "Postfix Role Account"
	groupadd -g 510 postdrop
	stamp $@

cp_perlparseroot:
	cp -R /var/isconf/lib/perl5/Text /var/isconf/lib/perl5/Parse /isconf/filesets/perlparseroot
	stamp $@

chmod-cvslock:
	chmod 775 /var/lock/cvs
	chmod g+s /var/lock/cvs
	stamp $@

nsswitch-ldap:
	rm /etc/nsswitch.conf
	ln -s /etc/nsswitch.ldap /etc/nsswitch.conf
	stamp $@

add-jump-nfs:
	echo 'share -F nfs -o ro,anon=0 /isconf/jump' >> /etc/dfs/dfstab
	shareall
	stamp $@

add-pkg-nfs:
	echo 'share -F nfs -o ro,anon=0 /isconf/filesets/pkg' >> /etc/dfs/dfstab
	shareall
	stamp $@

add-patch-nfs:
	echo 'share -F nfs -o ro,anon=0 /isconf/filesets/patches' >> /etc/dfs/dfstab
	shareall
	stamp $@

fix-auto_master home2export:
	$(IS_ROOTDIR)/lib/targets/sunos/$@
	stamp $@

set-fslogging:
	$(IS_ROOTDIR)/lib/targets/sunos/$@
	touch .reboot_needed
	stamp $@

rm-acct-crons:
	cronedit -user root -delete '30 3 * * * /usr/lib/acct/runacct'
	cronedit -user root -delete '0 5 * * * /usr/lib/acct/ckpacct'
	stamp $@

set-acct-crons:
	cronedit -user root -add '30 3 * * * /usr/lib/acct/runacct'
	cronedit -user root -add '0 5 * * * /usr/lib/acct/ckpacct'
	stamp $@

fix-opc-acct:
	usermod -d /home/opc_op -u 16 -g 16 -s /sbin/noshell opc_op
	- mv /export/home/opc_op/ /home
	stamp $@

rechown-opc:
	chown -R opc_op:opcgrp /home/opc_op
	stamp $@

# this is the syslog->mysql stuff
mysql-ng: mysql/install filesets/add__mysql-ng \
	ln/..--init.d--mysql-ng__etc--rc2.d--S90mysql-ng \
	mysql/syslog-sql mysql/ng-start
	stamp $@

# mysql requires a lot of stuff
mysql/install: pkg/add__mysql__3.23.45 pkg/add__zlib__1.2.4 pkg/add__libgcc__3.1 \
	pkg/add__ncurses__5.2 ln/usr--local--lib--libstdc++.so.4.0.0__usr--local--lib--libstdc++.so.3 \
	mysql/group mysql/user mysql/init mysql/startup \
	ln/..--init.d--mysql__etc--rc2.d--S80mysql mysql/chown mysql/startnow \
	mysql/setroot
	mkdir -p mysql

# create the mysql user and group
mysql/group:
	mkdir -p mysql
	groupadd -g 11 mysql
	stamp $@

mysql/user:
	mkdir -p mysql
	useradd -m -s /sbin/noshell -g 11 -u 11 -c "Mysql User" -d /var/adm/log/mysql mysql
	stamp $@

# initialize the db
mysql/init:
	mkdir -p mysql
	LD_LIBRARY_PATH=/usr/local/lib; export LD_LIBRARY_PATH; \
		/usr/local/mysql/scripts/mysql_install_db --datadir=/var/adm/log/mysql
	stamp $@

# setup the startup
mysql/startup:
	mkdir -p mysql
	perl -pe 's{^datadir=..*$$}{LD_LIBRARY_PATH=/usr/local/lib\nexport LD_LIBRARY_PATH\ndatadir=/var/adm/log/mysql/}' \
		/usr/local/mysql/support-files/mysql.server > /etc/init.d/mysql
	stamp $@

mysql/chown:
	mkdir -p mysql
	chown -R mysql:mysql /var/adm/log/mysql
	stamp $@

# now start the db
mysql/startnow:
	mkdir -p mysql
	sh /etc/init.d/mysql start
	sleep 5
	stamp $@

mysql/ng-start:
	mkdir -p mysql
	sh /etc/init.d/mysql-ng start
	stamp $@

# set the root password
# this part requires manual intervention
mysql/setroot:
	mkdir -p mysql
	if [ ! -f /var/adm/log/mysql/.root ]; then \
		echo You must set the root password in /var/adm/log/mysql/.root; \
		exit 1; \
	fi
	LD_LIBRARY_PATH=/usr/local/lib; PASS=`cat /var/adm/log/mysql/.root`; \
	/usr/local/mysql/bin/mysqladmin -u root password "$$PASS"
	stamp $@

# make the db and all that stuff
# yay
mysql/syslog-sql:
	mkdir -p mysql
	if [ ! -f /var/adm/log/mysql/.root ]; then \
		echo You must set the root password in /var/adm/log/mysql/.root; \
		exit 1; \
	fi
	if [ ! -f /var/adm/log/mysql/.syslog ]; then \
		echo You must set the syslog password in /var/adm/log/mysql/.syslog; \
		exit 1; \
	fi
	PASS=`cat /var/adm/log/mysql/.syslog`; \
	echo "CREATE DATABASE syslog; \
		grant INSERT on syslog.* to syslog@localhost identified by '$$PASS' with grant option; \
		USE syslog; \
		CREATE TABLE logs ( \
   		host varchar(32) default NULL, \
   		facility varchar(10) default NULL, \
   		priority varchar(10) default NULL, \
   		level varchar(10) default NULL, \
   		tag varchar(10) default NULL, \
   		date date default NULL, \
   		time time default NULL, \
   		program varchar(15) default NULL, \
   		msg text, \
   		seq int(10) unsigned NOT NULL auto_increment, \
   		PRIMARY KEY (seq), \
   		KEY host (host), \
   		KEY seq (seq), \
   		KEY program (program), \
   		KEY time (time), \
   		KEY date (date), \
   		KEY priority (priority), \
   		KEY facility (facility) \
		) TYPE=MyISAM; \
	" > /tmp/mysqlinit.sql 
	ROOTPASS=`cat /var/adm/log/mysql/.root`; \
	/usr/local/mysql/bin/mysql -u root -p"$$ROOTPASS" < /tmp/mysqlinit.sql
	stamp $@

########################################
# /etc/inetd.conf and /etc services
########################################

tftp_service: inetd_configdir
	echo "tftp dgram udp6 wait root /usr/sbin/in.tftpd in.tftpd -s /tftpboot" \
	> /var/isconf/etc/inetdconfig/inetd.tftp
	inetd-config --add tftp
	inetd-build
	stamp $@
	trigger /etc/inetd.conf

rstatd_service: inetd_configdir
	echo "" \
	> /var/isconf/etc/inetdconfig/service.rstatd
	echo "rstatd/2-4 tli rpc/datagram_v wait root /usr/lib/netsvc/rstat/rpc.rstatd rpc.rstatd" \
	> /var/isconf/etc/inetdconfig/inetd.rstatd
	inetd-config --add rstatd
	inetd-build
	stamp $@
	trigger /etc/inetd.conf

ftp_service: inetd_configdir
	echo "ftp-data 20/tcp # File Transfer Protocol (Data)" \
	> /var/isconf/etc/inetdconfig/service.ftp
	echo "ftp 21/tcp # File Transfer Protocol (Control)" \
	>> /var/isconf/etc/inetdconfig/service.ftp
	echo "ftp stream tcp6 nowait root /usr/sbin/in.ftpd in.ftpd -l" \
	> /var/isconf/etc/inetdconfig/inetd.ftp
	inetd-config --add ftp
	inetd-build
	stamp $@
	trigger /etc/inetd.conf

printer_service: inetd_configdir
	echo "printer 515/tcp spooler # line printer spooler" \
	> /var/isconf/etc/inetdconfig/service.lpd
	echo "printer stream tcp6 nowait root /usr/lib/print/in.lpd in.lpd" \
	> /var/isconf/etc/inetdconfig/inetd.lpd
	inetd-config --add lpd
	inetd-build
	stamp $@
	trigger /etc/inetd.conf

telnet_service: inetd_configdir
	echo "telnet 23/tcp # Remote terminal protocol" \
	> /var/isconf/etc/inetdconfig/service.telnet
	echo "telnet stream tcp6 nowait root /usr/sbin/in.telnetd in.telnetd" \
	> /var/isconf/etc/inetdconfig/inetd.telnet
	inetd-config --add telnet
	inetd-build
	stamp $@
	trigger /etc/inetd.conf

mqs_service: inetd_configdir
	echo "MQSprod 1414/tcp # MQseries channel listener" \
	> /var/isconf/etc/inetdconfig/service.mqs
	echo "MQSqa   1415/tcp # MQseries channel listener" \
	>> /var/isconf/etc/inetdconfig/service.mqs
	echo "MQSprod stream tcp nowait mqm /opt/mqm/bin/amqcrsta amqcrsta -m hubprod0.queue.manager" \
	> /var/isconf/etc/inetdconfig/inetd.mqs
	echo "MQSqa stream tcp nowait mqm /opt/mqm/bin/amqcrsta amqcrsta -m hubqa0.queue.manager" \
	>> /var/isconf/etc/inetdconfig/inetd.mqs
	inetd-config --add mqs
	inetd-build
	stamp $@
	trigger /etc/inetd.conf

pentasafe_service: inetd_configdir
	echo "uagent 2620/tcp #PentaSafe Security Technologies agent" \
	> /var/isconf/etc/inetdconfig/service.pentasafe
	echo "uvserv 1622/tcp #PentaSafe Security Technologies agent" \
	>> /var/isconf/etc/inetdconfig/service.pentasafe
	echo "uagent		stream tcp nowait root /opt/pentasafe/SunOS/bin/uagentd	 uagentd" \
	> /var/isconf/etc/inetdconfig/inetd.pentasafe
	echo "uvserv		stream tcp nowait root /opt/pentasafe/SunOS/vsau/bin/uvservd  uvservd" \
	>> /var/isconf/etc/inetdconfig/inetd.pentasafe
	inetd-config --add pentasafe
	inetd-build
	stamp $@
	trigger /etc/inetd.conf

dsmeta_service: inetd_configdir
	echo "100229/1 tli rpc/tcp wait root /usr/sbin/rpc.metad rpc.metad" \
	> /var/isconf/etc/inetdconfig/inetd.dsmeta
	echo "100230/1 tli rpc/tcp wait root /usr/sbin/rpc.metamhd rpc.metamhd" \
	>> /var/isconf/etc/inetdconfig/inetd.dsmeta
	inetd-config --add dsmeta
	inetd-build
	stamp $@
	trigger /etc/inetd.conf

netbackup_service: inetd_configdir
	echo "bprd 13720/tcp bprd # Netbackup" \
	> /var/isconf/etc/inetdconfig/service.netbackup
	echo "bpcd 13782/tcp bpcd # Netbackup" \
	>> /var/isconf/etc/inetdconfig/service.netbackup
	echo "vopied 13783/tcp vopied # Netbackup" \
	>> /var/isconf/etc/inetdconfig/service.netbackup
	echo "bpjava-msvc 13722/tcp bpjava-msvc # Netbackup" \
	>> /var/isconf/etc/inetdconfig/service.netbackup
	echo "vnetd   13724/tcp       vnetd # Netbackup" \
	>> /var/isconf/etc/inetdconfig/service.netbackup
	echo "bpjobd  13723/tcp       bpjobd # Netbackup" \
	>> /var/isconf/etc/inetdconfig/service.netbackup
	echo "nbdbd   13784/tcp       nbdbd # Netbackup" \
	>> /var/isconf/etc/inetdconfig/service.netbackup
	echo "visd    9284/tcp        visd # Netbackup" \
	>> /var/isconf/etc/inetdconfig/service.netbackup
	echo "bpcd stream tcp nowait root /usr/openv/netbackup/bin/bpcd bpcd" \
	> /var/isconf/etc/inetdconfig/inetd.netbackup
	echo "vopied stream tcp nowait root /usr/openv/bin/vopied vopied"     \
	>> /var/isconf/etc/inetdconfig/inetd.netbackup
	echo "bpjava-msvc stream tcp nowait root /usr/openv/netbackup/bin/bpjava-msvc bpjava-msvc -transient" \
	>> /var/isconf/etc/inetdconfig/inetd.netbackup
	echo "vnetd   stream  tcp     nowait  root    /usr/openv/bin/vnetd vnetd" \
	>> /var/isconf/etc/inetdconfig/inetd.netbackup
	inetd-config --add netbackup
	stamp $@
	inetd-build
	trigger /etc/inetd.conf

standard_service: inetd_configdir
	echo "tcpmux 1/tcp" \
	> /var/isconf/etc/inetdconfig/service.standard
	echo "echo 7/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "echo 7/udp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "discard 9/tcp sink null" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "discard 9/udp sink null" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "systat 11/tcp users" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "daytime 13/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "daytime 13/udp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "netstat 15/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "chargen 19/tcp ttytst source" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "chargen 19/udp ttytst source" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "ftp-data 20/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "ftp 21/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "telnet 23/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "smtp 25/tcp mail" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "time 37/tcp timserver" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "time 37/udp timserver" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "name 42/udp nameserver" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "whois 43/tcp nicname # usually to sri-nic" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "domain 53/udp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "domain 53/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "bootps 67/udp # BOOTP/DHCP server" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "bootpc 68/udp # BOOTP/DHCP client" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "hostnames 101/tcp hostname # usually to sri-nic" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "pop2 109/tcp pop-2 # Post Office Protocol - V2" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "pop3 110/tcp # Post Office Protocol - Version 3" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "sunrpc 111/udp rpcbind" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "sunrpc 111/tcp rpcbind" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "imap 143/tcp imap2 # Internet Mail Access Protocol v2" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "ldap 389/tcp # Lightweight Directory Access Protocol " \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "ldap 389/udp # Lightweight Directory Access Protocol" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "submission 587/tcp # Mail Message Submission" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "submission 587/udp # see RFC 2476" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "ldaps 636/tcp # LDAP protocol over TLS/SSL (was sldap)" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "ldaps 636/udp # LDAP protocol over TLS/SSL (was sldap)" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "tftp 69/udp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "rje 77/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "finger 79/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "link 87/tcp ttylink" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "supdup 95/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "iso-tsap 102/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "x400 103/tcp # ISO Mail" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "x400-snd 104/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "csnet-ns 105/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "pop-2 109/tcp # Post Office" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "uucp-path 117/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "nntp 119/tcp usenet # Network News Transfer" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "ntp 123/tcp # Network Time Protocol" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "ntp 123/udp # Network Time Protocol" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "netbios-ns 137/tcp # NETBIOS Name Service" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "netbios-ns 137/udp # NETBIOS Name Service" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "netbios-dgm 138/tcp # NETBIOS Datagram Service" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "netbios-dgm 138/udp # NETBIOS Datagram Service" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "netbios-ssn 139/tcp # NETBIOS Session Service" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "netbios-ssn 139/udp # NETBIOS Session Service" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "NeWS 144/tcp news # Window System" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "slp 427/tcp slp # Service Location Protocol, V2" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "slp 427/udp slp # Service Location Protocol, V2" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "mobile-ip 434/udp mobile-ip # Mobile-IP" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "cvc_hostd 442/tcp # Network Console" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "exec 512/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "login 513/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "shell 514/tcp cmd # no passwords used" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "printer 515/tcp spooler # line printer spooler" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "courier 530/tcp rpc # experimental" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "uucp 540/tcp uucpd # uucp daemon" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "biff 512/udp comsat" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "who 513/udp whod" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "syslog 514/udp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "talk 517/udp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "route 520/udp router routed" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "ripng 521/udp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "klogin 543/tcp # Kerberos authenticated rlogin" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "kshell 544/tcp cmd # Kerberos authenticated remote shell" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "new-rwho 550/udp new-who # experimental" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "rmonitor 560/udp rmonitord # experimental" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "monitor 561/udp # experimental" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "pcserver 600/tcp # ECD Integrated PC board srvr" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "sun-dr 665/tcp # Remote Dynamic Reconfiguration" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "kerberos-adm 749/tcp # Kerberos V5 Administration" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "kerberos-adm 749/udp # Kerberos V5 Administration" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "kerberos 750/udp kdc # Kerberos key server" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "kerberos 750/tcp kdc # Kerberos key server" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "krb5_prop 754/tcp # Kerberos V5 KDC propogation" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "ufsd 1008/tcp ufsd # UFS-aware server" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "ufsd 1008/udp ufsd" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "cvc 1495/tcp # Network Console" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "ingreslock 1524/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "www-ldap-gw 1760/tcp # HTTP to LDAP gateway" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "www-ldap-gw 1760/udp # HTTP to LDAP gateway" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "listen 2766/tcp # System V listener port" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "nfsd 2049/udp nfs # NFS server daemon (clts)" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "nfsd 2049/tcp nfs # NFS server daemon (cots)" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "eklogin 2105/tcp # Kerberos encrypted rlogin" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "lockd 4045/udp # NFS lock daemon/manager" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "lockd 4045/tcp" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "dtspc 6112/tcp # CDE subprocess control" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	echo "fs 7100/tcp # Font server" \
	>>  /var/isconf/etc/inetdconfig/service.standard
	inetd-config --add standard
	inetd-build
	stamp $@
	trigger /etc/inetd.conf

/etc/inet/inetd.conf: /var/isconf/etc/inetdconfig /var/isconf/etc/inetdtab
	echo "Creating inetd.conf..."
	inetd-build

########################################
# rsync-related stanzas
########################################
# this is a repeating stanza, and it gets run if either of the listed
# files is newer than /etc/rsyncd.conf
/etc/rsyncd.conf: /var/isconf/etc/rsynconfig /var/isconf/etc/rsynclist
	rsynconfig --build
	trigger $@

# this is where we create each of the files
# this MUST be run before we add the config to rsync
# i badly named this initially...
rsync/fileset__% rsync/mkconfig__%: rsync/mk_rsynconfigdir
	mkdir -p rsync
	$(IS_ROOTDIR)/lib/targets/sunos/rsyncmods --isconf $@
	stamp $@

rsync/rmconfig__%:
	$(IS_ROOTDIR)/lib/targets/sunos/rsyncmods --isconf
	stamp $@

# generic stanza to add or delete an rsync module
rsync/add__% rsync/rm__%: rsync/mk_rsynconfigdir
	mkdir -p rsync
	MODULE=`echo $@ | sed 's/rsync\/[a-z][a-z]*__//'`; \
	CMD=`echo $@ | sed -e 's/rsync\///' -e 's/__..*$$//'`; \
	rsynconfig --$$CMD $$MODULE
	stamp $@

# make the config dir
rsync/mk_rsynconfigdir:
	mkdir -p rsync
	mkdir -p /var/isconf/etc/rsynconfig
	stamp $@

oldrsync:
	MODULE=`echo $@ | sed -e 's/rsync\//fileset__/' -e 's/__..*$$//'`; \
	PATH=`echo $@ | sed -e 's/rsync\//fileset__[^_][^_]*__/' -e 's/--/\//' \
	-e 's/^/\//'`; \
	if [ -f /var/isconf/etc/rsynconfig/$$MODULE ]; then \
		rm -f /var/isconf/etc/rsynconfig/$$MODULE; \
	fi; \
	echo "[$$MODULE]" >> /var/isconf/etc/rsynconfig/$$MODULE; \
	echo "	path = $$PATH" >> /var/isconf/etc/rsynconfig/$$MODULE; \
	echo "	read only = yes" >> /var/isconf/etc/rsynconfig/$$MODULE
	stamp $@

# an experiment; using make to create the startup file instead of
# a fileset
rsync/startup:
	echo "# created using ISconf; modify only using ISconf" > /etc/init.d/rsyncd
	echo "#" >> /etc/init.d/rsyncd
	echo 'rsync=/usr/local/bin/rsync' >> /etc/init.d/rsyncd
	echo 'config=$(IS_RSYNCFG)' >> /etc/init.d/rsyncd 
	echo 'flags="--daemon --config $$config"' >> /etc/init.d/rsyncd
	echo >> /etc/init.d/rsyncd
	echo 'case "$$1" in' >> /etc/init.d/rsyncd
	echo '	start)' >> /etc/init.d/rsyncd
	echo '		$$rsync $$flags' >> /etc/init.d/rsyncd
	echo '		echo "rsync started"' >> /etc/init.d/rsyncd
	echo '		;;' >> /etc/init.d/rsyncd
	echo '	stop)' >> /etc/init.d/rsyncd
	echo '		pkill rsync' >> /etc/init.d/rsyncd
	echo '		pid=`ps -ef | awk '\''$$0~/\/usr\/local\/bin\/rsync/ {print $$2}'\''`' >> /etc/init.d/rsyncd
	echo '		if [ "X$$pid" != "X" ]; then' >> /etc/init.d/rsyncd
	echo '			if kill -9 $$pid; then' >> /etc/init.d/rsyncd
	echo '				true # placeholder' >> /etc/init.d/rsyncd
	echo '			else' >> /etc/init.d/rsyncd
	echo '				echo "Unable to stop rsync"' >> /etc/init.d/rsyncd
	echo '				exit 1' >> /etc/init.d/rsyncd
	echo '			fi' >> /etc/init.d/rsyncd
	echo '		fi	' >> /etc/init.d/rsyncd
	echo '		echo "rsync stopped"' >> /etc/init.d/rsyncd
	echo '		;;' >> /etc/init.d/rsyncd
	echo '	*)' >> /etc/init.d/rsyncd
	echo '		echo "Usage: $$0 {start|stop}"' >> /etc/init.d/rsyncd
	echo '		exit 1' >> /etc/init.d/rsyncd
	echo '		;;	 ' >> /etc/init.d/rsyncd
	echo 'esac' >> /etc/init.d/rsyncd
	echo >> /etc/init.d/rsyncd
	stamp $@

#--------------------------------------------------------------
# YOU DON'T NEED TO ADD STANZAS FOR PACKAGE ANYMORE
# Just add the package stanza to the types file, and you don't need
# to modify the make file

# pkg/<add|rm>__<package>__<release>
pkg/add__% pkg/add__% pkg/osadd__% pkg/osrm__%: 
	mkdir -p pkg
	pkginstall --isconf $@
	stamp $@

cvs_1.11 openssh_2.9.2 sudo_1.6.3p5 dhcp_3.0 ovo_7.0 java_1.3.0: 
	mkdir -p pkg
	pkginstall --isconf $@
	stamp $@

weblogic_service_user:
	systemuser.sh weblogic 82 weblogic 82 /usr/bin/bash /home/weblogic "Weblogic Account"
	if [ ! -d "/opt/weblogic" ]; then              \
		mkdir /opt/weblogic;                   \
		chown weblogic:weblogic /opt/weblogic; \
	fi
	if [ ! -d "/home/weblogic" ]; then             \
		mkdir /home/weblogic;                  \
		chown weblogic:weblogic /home/weblogic;\
	fi
	stamp $@

oraclient_8.1.7:
	systemuser.sh oracle 777 dba 102 /usr/bin/ksh /home/oracle "Oracle Account"
	pkginstall --isconf $@
	stamp $@

#-----------------------------------------------------------------
# patch stanzas
patch/%:
	if [ "X${CONTEXT}" != "XBOOT" ]; then \
		echo $@ must be run in BOOT context; exit 1; fi
	mkdir -p patch
	$(IS_ROOTDIR)/lib/targets/sunos/patch-install --isconf $@
	touch .reboot_needed
	stamp $@

# don't use this style anymore; use the above generic stanza
patch-20020410:
	$(IS_ROOTDIR)/lib/targets/sunos/patch-install --isconf \
		patch/addlist--cluster_20020410--nobackup
	touch .reboot_needed
	stamp $@
#-----------------------------------------------------------------

jass-server-base-harden1.0:
	jasswrap $@
	touch .reboot_needed
	stamp $@

install-disksuite: pkg/add__disksuite__4.2.1 disksuite-setup disksuite-finish
	stamp $@

disksuite-setup:
	$(IS_ROOTDIR)/lib/targets/sunos/install-disksuite -setup
	stamp $@
	$(make) -f $(IS_MAINMAKE) reboot
	reboot

disksuite-finish:
	$(IS_ROOTDIR)/lib/targets/sunos/install-disksuite -finish
	stamp $@

#--------------------------------------------------------------
# These are the stanzas for creating filesystems on sunos
#
# filesystems/new--<slice>--<size>--<mount>
#
# slice is the cXtYdZsN-style device
# size is any format understood by 'newslice'
# mount is the mount path, but with \ replaced by __, and no leading __

filesystems/new--%:
	mkdir -p filesystems
	set -- `echo $@ | sed -e 's/filesystems\/new--//;s/--/ /g'`; \
	SLICE=$$1; SIZE=$$2; MOUNT=$$3; \
	$(MAKE) -f $(IS_MAINMAKE) \
	filesystems/newslice--$${SLICE}--$${SIZE} \
	filesystems/newfs--$${SLICE} \
	filesystems/setmount--$${SLICE}--$${MOUNT} \
	filesystems/mount--$${MOUNT} \
	filesystems/mirror--$${MOUNT} \
	filesystems/attach--$${MOUNT}
	stamp $@

filesystems/newslice--%:
	mkdir -p filesystems
	set -- `echo $@ | sed -e 's/filesystems\/newslice--//;s/--/ /g'`; \
	SLICE=$$1; SIZE=$$2; \
	$(IS_ROOTDIR)/lib/targets/sunos/newslice --size $$SIZE --slice $$SLICE
	stamp $@

filesystems/newfs--%:
	mkdir -p filesystems
	set -- `echo $@ | sed -e 's/filesystems\/newfs--//;s/--/ /g'`; \
	SLICE=$$1; \
	newfs /dev/rdsk/$$SLICE < /dev/null
	stamp $@;

filesystems/setmount--%:
	mkdir -p filesystems
	set -- `echo $@ | sed -e 's/filesystems\/setmount--//;s/--/ /g'`; \
	SLICE=$$1; VOL=`echo $$2 | sed -e 's/__/\//g;s/^/\//'`; \
	echo "/dev/dsk/$$SLICE /dev/rdsk/$$SLICE $$VOL ufs 2 yes logging" >> /etc/vfstab; \
	mkdir -p $$VOL
	stamp $@

filesystems/mount--%:
	mkdir -p filesystems
	set -- `echo $@ | sed -e 's/filesystems\/mount--//;s/--/ /g'`; \
	VOL=`echo $$1 | sed -e 's/__/\//g;s/^/\//'`; \
	mount $$VOL
	stamp $@

filesystems/mirror--%:
	mkdir -p filesystems
	set -- `echo $@ | sed -e 's/filesystems\/mirror--//;s/--/ /g'`; \
	VOL=`echo $$1 | sed -e 's/__/\//g;s/^/\//'`; \
	$(IS_ROOTDIR)/lib/targets/sunos/mirror --setup --volume $$VOL
	stamp $@

filesystems/remount--%:
	mkdir -p filesystems
	set -- `echo $@ | sed -e 's/filesystems\/mirror--//;s/--/ /g'`; \
	VOL=`echo $$1 | sed -e 's/__/\//g;s/^/\//'`; \
	umount $$VOL; sleep; mount $$VOL
	stamp $@

filesystems/attach--%:
	mkdir -p filesystems
	set -- `echo $@ | sed -e 's/filesystems\/attach--//;s/--/ /g'`; \
	VOL=`echo $$1 | sed -e 's/__/\//g;s/^/\//'`; \
	$(IS_ROOTDIR)/lib/targets/sunos/mirror --finish --volume $$VOL
	stamp $@

# more generically useful stanzas

# allowing a user to use cron
cron/allow__%:
	mkdir -p cron
	set -- `echo $@ | sed 's/cron\/allow__//'`; USER=$$1; \
	if [ -z "`grep $$USER /etc/cron.d/cron.allow`" ]; then \
		echo $$USER >> /etc/cron.d/cron.allow; \
	fi
	stamp $@

# yay, the end
