use strict;
#   Copyright (C) 2001  Steve Traugott, http://www.stevegt.com
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

my $isconfdir=$ENV{ISCONFDIR} || "";
my $cluster_name=$ENV{CLUSTER_NAME} || "";
my $xpathv="$isconfdir/bin/xpathv";
my $conf="$isconfdir/conf/$cluster_name.xml";

$|=1;

sub sh
{
  my @cmd=@_;
  my $cmd=join(' ',@cmd);
  print "> $cmd\n";
  my $res=`$cmd`;
  my $rc= $? >> 8;
  $!=$rc;
  return ($rc,$res) if wantarray;
  return undef if $rc;
  return 1;
}

sub node_name
{
  my $hostname=shift;
  return xpathv("//*/ADAPTER[LABEL='$hostname']/NODE");
}

sub xpathv
{
  my $xql=shift;
  my @default=@_;
  print "getting $xql\n";
  my $cmd="$xpathv -v $conf \"$xql\" ";
  # warn $cmd;
  open(XPATHV,"$cmd |") || die $!;
  my @res=();
  while (<XPATHV>)
  {
    chomp;
    next unless $_;
    push @res, $_;
  }
  close XPATHV;
  @res=@default if $#res < 0 && $#default >= 0;
  die "\nconfig error in $conf -- value not found:
  	$xql\n" unless $#res >= 0;
  return @res if wantarray;
  return join(' ',@res);
}

sub rsh
{
  my $host=shift;
  my @cmd=@_;
  unshift @cmd,"rsh $host";
  my $cmd=join(' ',@cmd);
  my ($rc,$res)=sh($cmd);
  return ($rc,$res) if wantarray;
  return undef if $rc;
  return 1;
}
1;
