package Isconf::File::Targethead;
####################################################################################
####################################################################################
# Isconf::File::Targethead
####################################################################################
####################################################################################

use Isconf;
use Isconf::File;
use Exporter;

use vars qw(@ISA $VERSION);

@ISA = qw(Isconf Isconf::File);

####################################################################################
# Isconf::File::Targethead::new
sub new
{
	my ($class,%args,$obj,$comment,$name);
	($class,%args) = @_;
	$obj = bless {}, $class;
	$obj->debug(10,'new');

	$name = $args{'names'}->[0];
	$obj->name($name);
	$obj->names($args{'names'});

	$obj->debug(7,"new: name is $name");

	#if (exists $obj->{'prereq'})
	if (exists $args{'prereq'})
	{
		$obj->debug(7,"new: prereq $args{'prereq'}");
		$obj->prereqs($args{'prereq'});
		#$obj->{'prereq'} = $args{'prereq'};
	}
	else
	{
		$obj->debug(7,"new: no prereqs [", join("] [", keys %args) , "]");
	}

	if (exists $args{'comment'})
	{
		$obj->{'comment'} = $args{'comment'};
		$obj->debug(6,"new: objcomment [$obj->{'comment'}->{'comment'}]");
	}

	return $obj;
}
# Isconf::File::Targethead::new
####################################################################################

####################################################################################
# Isconf::File::Targethead::print
sub print
{
	my $obj = shift;
	my ($string,$prereq,$ref,%args);
	$obj->debug(10,'print');

	#$string = $obj->name() . ":";
	$string = join(" ", @{ $obj->names() }) . ":";

	foreach $prereq ($obj->prereqs)
	{
		$string .= " $prereq";
	}

	#if (exists $obj->{'comment'} and $obj->{'comment'})
	if (exists $obj->{'comment'} and $obj->{'comment'})
	{
		$string .= $obj->{'comment'}->print(@_);
	}

	$string .= "\n";

	return $string;
}
# Isconf::File::Targethead::print
####################################################################################

####################################################################################
# Isconf::File::Targethead::names
sub names
{
	my $obj = shift;
	my $names;
	$obj->debug(6,"names");
	if ($names = shift)
	{
		$obj->{'names'} = $names;
	}
	return $obj->{'names'};
}
# Isconf::File::Targethead::targets
####################################################################################

=head1 NAME

   Isconf::File - stuff

=head1 SYNOPSIS

   Isconf::File

=head1 DESCRIPTION

B<Isconf::File> 

=head1 OPTIONS

=over 4

=item dummy

	E

=back

B<Example>

	Isconf::File

=head1 BUGS

There shouldn't be any...

=head1 SEE ALSO

L<Isconf>,
L<Isconf::File>,

=head1 AUTHOR

Luke A. Kanies, luke.kanies@cat.com

=for html <hr>

I<$Id: Targethead.pm,v 1.3 2003/07/24 23:56:07 loosifer Exp $>

=cut
1;
