package Isconf::File::Variable;
####################################################################################
####################################################################################
# Isconf::File::Variable
####################################################################################
####################################################################################

use Isconf;
use Isconf::File;
use Exporter;

use vars qw(@ISA $VERSION);

@ISA = qw(Isconf Isconf::File);

####################################################################################
# Isconf::File::Variable::new
sub new
{
	my ($class,%args,$obj,$var);
	($class,%args) = @_;
	$obj = bless {}, $class;

	foreach $var (keys %args)
	{
		$obj->name($var);
		$obj->value($args{$var});
		$obj->{$var} = $args{$var};
	}
	$obj->debug(10,"new $obj->{'name'}");

	return $obj;
}
# Isconf::File::Variable::new
####################################################################################

####################################################################################
# Isconf::File::Variable::print
sub print
{
	my $obj = shift;
	$obj->debug(10,'print');

	my $value = $obj->value();
	if ($value =~ /\s/)
	{
		if ($value =~ /'/)
		{
			die "Embedding single quotes in variables is unsupported right now.\n";
		}
		$value =~ s/^|$/'/g;
	}

	return $obj->name() . "=" . $value;
}
# Isconf::File::Variable::print
####################################################################################

####################################################################################
# Isconf::File::Variable::value
sub value
{
	my $obj = shift;

	if (@_)
	{
		$obj->{'value'} = shift;
		$obj->{'value'} =~ s/^'(.+)'$/$1/;
		$obj->{'value'} =~ s/^"(.+)"$/$1/;
	}
	return $obj->{'value'};
}
# Isconf::File::Variable::value
####################################################################################
=head1 NAME

   Isconf::File - stuff

=head1 SYNOPSIS

   Isconf::File

=head1 DESCRIPTION

B<Isconf::File> 

=head1 OPTIONS

=over 4

=item dummy

	E

=back

B<Example>

	Isconf::File

=head1 BUGS

There shouldn't be any...

=head1 SEE ALSO

L<Isconf>,
L<Isconf::File>,

=head1 AUTHOR

Luke A. Kanies, luke.kanies@cat.com

=for html <hr>

I<$Id: Variable.pm,v 1.4 2003/07/24 23:56:07 loosifer Exp $>

=cut
1;
